<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;


/**
 * Agendachasis Controller
 *
 * @property \App\Model\Table\AgendachasisTable $Agendachasis
 */
class AgendachasisController  extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Network\Response|null
     */
    public function index()
    {
        if(!empty($this->request->query['search']) or !empty($this->request->query['fechah'])
        or !empty($this->request->query['fechad']) 
        ){
            
         
            
            $search = $this->request->query['search'];
            $fechah = $this->request->query['fechah'];
            $fechad = $this->request->query['fechad'];
            
            $conditions = "UPPER(chasis) LIKE '%" . strtoupper($search) . "%'";
           
          
           $fechacreacrion = " and (to_timestamp(fecha,'dd/MM/yyyy') between to_timestamp('" . str_replace( "-", "/", $fechad ) . "','dd/MM/yyyy') and to_timestamp('" . str_replace( "-", "/", $fechah ) . "','dd/MM/yyyy'))";
           
    
            
            $this->paginate = [
                'conditions' => [$conditions . $fechacreacrion ],
                'order' => [
                   'agendachasis.id' => 'asc'
                ],
                'contain' => ['Users']
            
            ];
            
            $Agendachasis = $this->paginate($this->Agendachasis);


            $this->set(compact('Agendachasis'));
            $this->set('_serialize', ['Agendachasis']);
            $this->set('usuario', $this->Auth->User('id'));
            
            $this->set('search',  $search);
            $this->set('fechah', $fechah );
            $this->set('fechad', $fechad );
            
        
            
         /*   $query = $this->Agendachasis->find('all', array('recursive' => -1, 'conditions' => $conditions, 'order' => ['agendachasis.id' => 'asc']))
            ->join([
                
                'users' => [
                    'table' => 'users',
                    'type' => 'INNER',
                    'conditions' => 'users.id = agendachasis.usuario',
                ]
            ]);
            print($query);
            $this->set('Agendachasis', $query); */
        }else {
            

            $this->paginate = [
                'order' => [
                   'agendachasis.id' => 'asc'
                ],
                'contain' => ['Users']
            ];
        
             $Agendachasis = $this->paginate($this->Agendachasis);
             
       
             

            $this->set(compact('Agendachasis'));
            $this->set('_serialize', ['Agendachasis']);
            
            $this->set('usuario', $this->Auth->User('id'));
        }
       
    }
    
    
    public function agregar()
     {
     $search = null;
        if(!empty($this->request->query['search'])){
            if(!empty($this->request->query['search'])){
                $search = $this->request->query['search'];
                $terms = explode(' ', trim($search));
                $terms = array_diff($terms, array(''));
            
                foreach($terms as $term){
                    $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                    $conditions[] = array('UPPER(chasis) LIKE' => '%' . strtoupper($term) . '%');
                }
                $inventarios  =  TableRegistry::get('stocktodos');
                $query = $inventarios->find('all', array('recursive' => -1, 'conditions' => $conditions, 'order' => ['id' => 'asc']));
                $terms1 = array_diff($terms1, array(''));
                $this->set(compact('search', 'terms1'));
                
                $this->set('imagenapps', $query);
            }else {
                $this->set('search', '');
            } 
        }else {
            $this->set('search', '');
        }
        
    }
    
    
    /**
     * View method
     *
     * @param string|null $id Agendachasi id.
     * @return \Cake\Network\Response|null
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $Agendachasi = $this->Agendachasis->get($id, [
            'contain' => []
        ]);

        $this->set('Agendachasi', $Agendachasi);
        $this->set('_serialize', ['Agendachasi']);
    }

    /**
     * Add method
     *
     * @return \Cake\Network\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add($chasis = null)
    {
        $agendachasi = $this->Agendachasis->newEntity();
        if ($this->request->is('post')) {
            
            
             $agendachasi = $this->Agendachasis->patchEntity($agendachasi, $this->request->data);
            
            
            
            $agendachasi->chasis = $chasis;
           $agendachasi->usuario = $this->Auth->User('id') ;
            $hoy = getdate();
            $agendachasi->fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year'];
            $agendachasi->hora = $hoy['hours'].":".$hoy['minutes'].":".$hoy['seconds'];
            
            
            if ($this->Agendachasis->save($agendachasi)) {
                $this->Flash->success(__('Guardado'));

                return $this->redirect(['action' => 'agregar']);
            }
            $this->Flash->error(__('Error'));
        }
        $this->set('agendachasi', $agendachasi);
        $this->set('_serialize', ['agendachasi']);
    }

    /**
     * Edit method
     *
     * @param string|null $id Agendachasi id.
     * @return \Cake\Network\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $Agendachasi = $this->Agendachasis->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $Agendachasi = $this->Agendachasis->patchEntity($Agendachasi, $this->request->data);
            if ($this->Agendachasis->save($Agendachasi)) {
                $this->Flash->success(__('The Agendachasi has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The Agendachasi could not be saved. Please, try again.'));
        }
        $this->set(compact('Agendachasi'));
        $this->set('_serialize', ['Agendachasi']);
    }

    /**
     * Delete method
     *
     * @param string|null $id Agendachasi id.
     * @return \Cake\Network\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $Agendachasi = $this->Agendachasis->get($id);
        if ($this->Agendachasis->delete($Agendachasi)) {
            $this->Flash->success(__('The Agendachasi has been deleted.'));
        } else {
            $this->Flash->error(__('The Agendachasi could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
