<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Agendacompletadors Controller
 *
 * @property \App\Model\Table\AgendacompletadorsTable $Agendacompletadors
 * @method \App\Model\Entity\Agendacompletador[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class AgendacompletadorsController extends AppController
{
    /**
     * Index method
     *
     * @return \Cake\Http\Response|null|void Renders view
     */
    public function index()
    {
        $agendacompletadors = $this->paginate($this->Agendacompletadors);

        $this->set(compact('agendacompletadors'));
    }

    /**
     * View method
     *
     * @param string|null $id Agendacompletador id.
     * @return \Cake\Http\Response|null|void Renders view
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $agendacompletador = $this->Agendacompletadors->get($id, [
            'contain' => [],
        ]);

        $this->set(compact('agendacompletador'));
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null|void Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $agendacompletador = $this->Agendacompletadors->newEntity();
        if ($this->request->is('post')) {
            $agendacompletador = $this->Agendacompletadors->patchEntity($agendacompletador, $this->request->getData());
            if ($this->Agendacompletadors->save($agendacompletador)) {
                $this->Flash->success(__('The agendacompletador has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The agendacompletador could not be saved. Please, try again.'));
        }
        $this->set(compact('agendacompletador'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Agendacompletador id.
     * @return \Cake\Http\Response|null|void Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $agendacompletador = $this->Agendacompletadors->get($id, [
            'contain' => [],
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $agendacompletador = $this->Agendacompletadors->patchEntity($agendacompletador, $this->request->getData());
            if ($this->Agendacompletadors->save($agendacompletador)) {
                $this->Flash->success(__('The agendacompletador has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The agendacompletador could not be saved. Please, try again.'));
        }
        $this->set(compact('agendacompletador'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Agendacompletador id.
     * @return \Cake\Http\Response|null|void Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $agendacompletador = $this->Agendacompletadors->get($id);
        if ($this->Agendacompletadors->delete($agendacompletador)) {
            $this->Flash->success(__('The agendacompletador has been deleted.'));
        } else {
            $this->Flash->error(__('The agendacompletador could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
