<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Aprobarventacuotas Controller
 *
 * @property \App\Model\Table\AprobarventacuotasTable $Aprobarventacuotas
 *
 * @method \App\Model\Entity\Aprobarventacuota[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class AprobarventacuotasController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $aprobarventacuotas = $this->paginate($this->Aprobarventacuotas);

        $this->set(compact('aprobarventacuotas'));
    }

    /**
     * View method
     *
     * @param string|null $id Aprobarventacuota id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $aprobarventacuota = $this->Aprobarventacuotas->get($id, [
            'contain' => []
        ]);

        $this->set('aprobarventacuota', $aprobarventacuota);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $aprobarventacuota = $this->Aprobarventacuotas->newEntity();
        if ($this->request->is('post')) {
            $aprobarventacuota = $this->Aprobarventacuotas->patchEntity($aprobarventacuota, $this->request->getData());
            if ($this->Aprobarventacuotas->save($aprobarventacuota)) {
                $this->Flash->success(__('The aprobarventacuota has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The aprobarventacuota could not be saved. Please, try again.'));
        }
        $this->set(compact('aprobarventacuota'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Aprobarventacuota id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $aprobarventacuota = $this->Aprobarventacuotas->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $aprobarventacuota = $this->Aprobarventacuotas->patchEntity($aprobarventacuota, $this->request->getData());
            if ($this->Aprobarventacuotas->save($aprobarventacuota)) {
                $this->Flash->success(__('The aprobarventacuota has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The aprobarventacuota could not be saved. Please, try again.'));
        }
        $this->set(compact('aprobarventacuota'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Aprobarventacuota id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $aprobarventacuota = $this->Aprobarventacuotas->get($id);
        if ($this->Aprobarventacuotas->delete($aprobarventacuota)) {
            $this->Flash->success(__('The aprobarventacuota has been deleted.'));
        } else {
            $this->Flash->error(__('The aprobarventacuota could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
