<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;

/**
 * Empleados Controller
 *
 * @property \App\Model\Table\EmpleadosTable $Empleados
 */
class EmpleadosController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Network\Response|null
     */
    public function index()
    {
        $empleados = $this->paginate($this->Empleados);

        $this->set(compact('empleados'));
        $this->set('_serialize', ['empleados']);
    }
    
   

    /**
     * View method
     *
     * @param string|null $id Empleado id.
     * @return \Cake\Network\Response|null
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $empleado = $this->Empleados->get($id, [
            'contain' => ['Users']
        ]);

        $this->set('empleado', $empleado);
        $this->set('_serialize', ['empleado']);
    }

    /**
     * Add method
     *
     * @return \Cake\Network\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $empleado = $this->Empleados->newEntity();
        if ($this->request->is('post')) {
            $empleado = $this->Empleados->patchEntity($empleado, $this->request->data);
            if ($this->Empleados->save($empleado)) {
                $this->Flash->success(__('The empleado has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The empleado could not be saved. Please, try again.'));
        }
        $users = $this->Empleados->Users->find('list', ['limit' => 200]);
        $this->set(compact('empleado', 'users'));
        $this->set('_serialize', ['empleado']);
    }

    /**
     * Edit method
     *
     * @param string|null $id Empleado id.
     * @return \Cake\Network\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $empleado = $this->Empleados->get($id, [
            'contain' => ['Users']
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $empleado = $this->Empleados->patchEntity($empleado, $this->request->data);
            if ($this->Empleados->save($empleado)) {
                $this->Flash->success(__('The empleado has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The empleado could not be saved. Please, try again.'));
        }
        $users = $this->Empleados->Users->find('list', ['limit' => 200]);
        $this->set(compact('empleado', 'users'));
        $this->set('_serialize', ['empleado']);
    }

    /**
     * Delete method
     *
     * @param string|null $id Empleado id.
     * @return \Cake\Network\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $empleado = $this->Empleados->get($id);
        if ($this->Empleados->delete($empleado)) {
            $this->Flash->success(__('The empleado has been deleted.'));
        } else {
            $this->Flash->error(__('The empleado could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
    
 
 public function ventasdic(){
        
        $mesletra=array(1=>"ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
        $hoy = getdate();
        $desde = "";
        $hasta = "";
        $ultimodia=array(1=>"31","29","31","30","31","30","31","31","30","31","30","31");
        $desde = "01/12/2021";
        $hasta = "31/12/2021";
        $sqlwhere = "to_date(fecha,'dd/MM/yyyy')  between to_date('".$desde."','dd/mm/yyyy') and to_date('".$hasta."','dd/mm/yyyy') ";
        
        
        $empleados  =  TableRegistry::get('empleadovs');
        $sqlempleado = "cargo ilike '%VEND%'";
        $queryemple = $empleados->find('all', ['conditions' => [$sqlempleado], 'order by' => 'nombre']);
        $conventas = array();
        $sinventas = array();
        $sumatoria = 0;
        foreach ($queryemple as $empleado):
            $connection = ConnectionManager::get('default');
            $sql = "select * from ventas where vendedors = ".  $empleado->id . " and " . $sqlwhere;
            $results = $connection->execute($sql)->fetchAll('assoc');
            $cantidad = 0;
            $aux = array();
            foreach ($results as $v):
                $cantidad ++;
            endforeach; 
            $sumatoria = $sumatoria + $cantidad;

            if($cantidad>0){
                $auxs = array (
                    $empleado->id,
                    $empleado->nombre . ' ' . $empleado->apellido,
                    $cantidad
                );
                array_push($conventas, $auxs);
            }else{
                if($empleado->borrado < 1){
                    $auxs = array (
                        $empleado->id,
                        $empleado->nombre . ' ' . $empleado->apellido,
                        $cantidad
                    );
                    array_push($sinventas, $auxs);
                }
                
                
            }
            
            $connection->disconnect();
            
       endforeach;
       $this->set('empleados', $conventas);
       $this->set('empleadosin', $sinventas);
       $this->set('mes' , $mesletra[$mes] );
       $this->set('sumatoria', $sumatoria);
    }

     public function ventasnov(){
        
        $mesletra=array(1=>"ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
        $hoy = getdate();
        $desde = "";
        $hasta = "";
        $ultimodia=array(1=>"31","29","31","30","31","30","31","31","30","31","30","31");
        $desde = "01/11/2021";
        $hasta = "30/11/2021";
        $sqlwhere = "to_date(fecha,'dd/MM/yyyy')  between to_date('".$desde."','dd/mm/yyyy') and to_date('".$hasta."','dd/mm/yyyy') ";
        
        
        $empleados  =  TableRegistry::get('empleadovs');
        $sqlempleado = "cargo ilike '%VEND%'";
        $queryemple = $empleados->find('all', ['conditions' => [$sqlempleado], 'order by' => 'nombre']);
        $conventas = array();
        $sinventas = array();
        $sumatoria = 0;
        foreach ($queryemple as $empleado):
            $connection = ConnectionManager::get('default');
            $sql = "select * from ventas where vendedors = ".  $empleado->id . " and " . $sqlwhere;
            $results = $connection->execute($sql)->fetchAll('assoc');
            $cantidad = 0;
            $aux = array();
            foreach ($results as $v):
                $cantidad ++;
            endforeach;

             $sumatoria = $sumatoria + $cantidad;

            if($cantidad>0){
                $auxs = array (
                    $empleado->id,
                    $empleado->nombre . ' ' . $empleado->apellido,
                    $cantidad
                );
                array_push($conventas, $auxs);
            }else{
                if($empleado->borrado < 1){
                        $auxs = array (
                            $empleado->id,
                            $empleado->nombre . ' ' . $empleado->apellido,
                            $cantidad
                        );
                        array_push($sinventas, $auxs);
                }
            }
            
            $connection->disconnect();
       endforeach;
       $this->set('empleados', $conventas);
       $this->set('empleadosin', $sinventas);
       $this->set('mes' , $mesletra[$mes] ); 

       $this->set('sumatoria', $sumatoria);
    }

       public function mes()
    {

        $hoy = getdate();
        $mesestotal = $hoy['mon'];
        $pila = array();

        
        for ($i = 1; $i <= $mesestotal; $i++) {
           array_push($pila, $i);
        }
        $this->set('meses', $pila);
    }


     public function dia($mess = null)
    {
         $hoy = getdate();

         $mesesN=array(1=>"ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO",
             "AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
      
        $mesestotal = $mess;
        $pila = array();

        $ultimodia=array(1=>31,29,31,30,31,30,31,31,30,31,30,31);
         $this->set('mes', $mesesN[$mess]);
        
     
         if($hoy['mon'] == $mess ) {
           for ($i = 1; $i <= $hoy['mday']; $i++) {
            array_push($pila, $i);
           }  
        }else{
            for ($i = 1; $i <= $ultimodia[$mesestotal]; $i++) {
               array_push($pila, $i);
           }  
        }
        
        $this->set('ano', $hoy['year']);
       
        $this->set('meses', $pila);
        if($mess < 10){
            $this->set('mess', '0' . $mess);
        }else{
            $this->set('mess', $mess);
        }
        
       
        
    }
    
    
    public function ventasanual($ano = null){
        
        $mesletra=array(1=>"ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
        $hoy = getdate();
        $desde = "";
        $hasta = "";
        $ultimodia=array(1=>"31","29","31","30","31","30","31","31","30","31","30","31");
        $desde = "01/01/" . $ano;
        $hasta = "31/12/" . $ano;
        $sqlwhere = "to_date(fecha,'dd/MM/yyyy')  between to_date('".$desde."','dd/mm/yyyy') and to_date('".$hasta."','dd/mm/yyyy') ";
        
        //print($sqlwhere);
        
        /*
        19 Alejandro"
        25  Diana"
        26 Estefani"
        197 nidia
        221 LUIS
        299 BLANCA NOEMI"
        360 liza
        
        */
        
        $lugares = array(
            '1' => 'CENTRAL',
            '2' => 'SAN JOSE',
            '3' => 'KM 11',
            '6' => 'EMPRESA',
            '8' => 'BOQUERON',
            '10' => 'PILAR',
            '11' => 'CAAGUAZU',
            '12' => 'SANTA ROSA',
            '13' => 'CAPIATA',
        );
        
        //print($this->Auth->User('empresa'));
        
        
        $empleados  =  TableRegistry::get('empleadovs');
       
        if(
            $this->Auth->User('id') == 19 || 
            $this->Auth->User('empresa') == 25 ||
            $this->Auth->User('empresa') == 26 ||
            $this->Auth->User('empresa') == 197 ||
            $this->Auth->User('empresa') == 221 ||
            $this->Auth->User('empresa') == 299 ||
            $this->Auth->User('empresa') == 360 
            
            ){  
                
            $sqlempleado = "cargo ilike '%VEND%' and empresa = " . $this->Auth->User('empresa') ; 
            $this->set('lugar', " - ". $lugares[$this->Auth->User('empresa')]);
        }else{
           if(!empty($this->request->query['search'])){
                $search = $this->request->query['search'];
                $this->set('lugar', " - " . $lugares[$search]);
                
                $sqlempleado = "cargo ilike '%VEND%' and empresa = " . $search;
            }else{
                 $sqlempleado = "cargo ilike '%VEND%'";
                 $this->set('lugar', " - TODAS LAS SUCURSALES");
            }
        }
        
        $queryemple = $empleados->find('all', ['conditions' => [$sqlempleado], 'order' => 'empresa, nombre']);
        $conventas = array();
        $sinventas = array();
        $sumatoria = 0;
        foreach ($queryemple as $empleado):
            $connection = ConnectionManager::get('default');
            $sql = "select * from ventas where vendedors = ".  $empleado->id . " and " . $sqlwhere;
            $results = $connection->execute($sql)->fetchAll('assoc');
            $cantidad = 0;
            $aux = array();
            foreach ($results as $v):
                $cantidad ++;
            endforeach; 
            $sumatoria = $sumatoria + $cantidad;

            if($cantidad>0){
                $auxs = array (
                    $empleado->id,
                    $empleado->nombre . ' ' . $empleado->apellido,
                    $cantidad,
                    $empleado->borrado
                );
                array_push($conventas, $auxs);
            }else{
                if($empleado->borrado < 1){
                    $auxs = array (
                        $empleado->id,
                        $empleado->nombre . ' ' . $empleado->apellido,
                        $cantidad,
                        $empleado->borrado
                    );
                    array_push($sinventas, $auxs);
                }
                
                
            }
            
            $connection->disconnect();
       endforeach;
       usort($conventas, function($a, $b) {
            return $b[2] - $a[2];
        });
        $this->set('sucursal', $lugares);
        $this->set('empleados', $conventas);
       $this->set('empleadosin', $sinventas);
       $this->set('ano' , $ano );
       $this->set('sumatoria', $sumatoria);
    }
    


   public function ventas($mes = null){
        
        $mesletra=array(1=>"ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
        $hoy = getdate();
        $desde = "";
        $hasta = "";
        $ultimodia=array(1=>"31","29","31","30","31","30","31","31","30","31","30","31");
        $desde = "01/".$mes."/".$hoy['year'];
        $hasta = $ultimodia[$mes]."/".$mes."/".$hoy['year'];
        $sqlwhere = "to_date(fecha,'dd/MM/yyyy')  between to_date('".$desde."','dd/mm/yyyy') and to_date('".$hasta."','dd/mm/yyyy') ";
        
        $lugares = array(
            '1' => 'CENTRAL',
            '2' => 'SAN JOSE',
            '3' => 'KM 11',
            '6' => 'EMPRESA',
            '8' => 'BOQUERON',
            '10' => 'PILAR',
            '11' => 'CAAGUAZU',
            '12' => 'SANTA ROSA',
            '13' => 'CAPIATA',
            '14' => 'USADOS SAN JOSE',
        );
        
        
        
        $empleados  =  TableRegistry::get('empleadovs');
        
        
        if(
            $this->Auth->User('id') == 4 ||  //EMILCE USADO
            $this->Auth->User('id') == 19 ||  //BURGOS KM 11
            $this->Auth->User('id') == 25 ||  //DIANA SAN JOSE
            $this->Auth->User('id') == 26 ||  //ESTEFANI CENTRAL
            $this->Auth->User('id') == 523 ||  //DOMINGO SANTA ROSA
            $this->Auth->User('id') == 197 || //NIDIA CAPIATA
            $this->Auth->User('id') == 292 || //MARCO VERA PILAR
            $this->Auth->User('id') == 299 || // BLANCA BOQUERON
            $this->Auth->User('id') == 360  // LISA CAAGUAZU
            
            ){   
                
            $sqlempleado = "cargo ilike '%VEND%' and empresa = " . $this->Auth->User('empresa') ; 
            $this->set('lugar', " - ". $lugares[$this->Auth->User('empresa')]);
        }else{
            if(!empty($this->request->query['search'])){
                $search = $this->request->query['search'];
                $this->set('lugar', " - " . $lugares[$search]);
                
                $sqlempleado = "cargo ilike '%VEND%' and empresa = " . $search;
            }else{
                 $sqlempleado = "cargo ilike '%VEND%'";
                 $this->set('lugar', " - TODAS LAS SUCURSALES");
            }
        }
        
        $queryemple = $empleados->find('all', ['conditions' => [$sqlempleado], 'order' => 'empresa']);
        $conventas = array();
        $sinventas = array();

        $sumatoria = 0;
        $sumatoriatercero = 0;
        
        $sumatoria_recimp = 0;
        $sumatoria_usado = 0;
        $sumatoria_recuperado = 0;

        foreach ($queryemple as $empleado):
            $connection = ConnectionManager::get('default');
            $sql = "select * from ventas where vendedors = ".  $empleado->id . " and " . $sqlwhere;
            $results = $connection->execute($sql)->fetchAll('assoc');
            $cantidad = 0;
            $cantidadtercero = 0;
            $aux = array();
            
            $recimp = 0;
            $usado = 0;
            $recuperado = 0;
            
            foreach ($results as $v):
                
                if ($v['tercero'] == 1) {
                     $cantidadtercero ++;
                }else{
                     $cantidad ++;
                }
                
                if ($v['tipo'] == 'RECIEN IMPORTADO') {
                    $recimp = $recimp + 1;
                }else if ($v['tipo'] == 'USADO') {
                    $usado = $usado + 1;
                } else if ($v['tipo'] == 'RECUPERADO') {
                    $recuperado = $recuperado + 1;
                }
               
            endforeach;

            $sumatoria = $sumatoria + $cantidad;
            $sumatoriatercero = $sumatoriatercero + $cantidadtercero;
            
            $sumatoria_recimp = $sumatoria_recimp + $recimp;
        $sumatoria_usado = $sumatoria_usado + $usado;
        $sumatoria_recuperado = $sumatoria_recuperado + $recuperado;

            if($cantidad>0){
                $auxs = array (
                    $empleado->id,
                    $empleado->nombre . ' ' . $empleado->apellido,
                    $lugares[ $empleado->empresa],
                    $cantidad,
                    $empleado->borrado,
                    $recimp,
                    $recuperado,
                    $usado,
                );
                array_push($conventas, $auxs);
            }else{
                if($empleado->borrado == 0){
                    $auxs = array (
                        $empleado->id,
                        $empleado->nombre . ' ' . $empleado->apellido,
                        $lugares[ $empleado->empresa],
                        $cantidad,
                        $empleado->borrado,
                        $recimp,
                        $recuperado,
                        $usado,
                    );
                    array_push($sinventas, $auxs);
                }
            }
            $connection->disconnect();
       endforeach;
       
        usort($conventas, function($a, $b) {
            return $b[3] - $a[3];
        });
        
       $this->set('empleados', $conventas);
       
        $this->set('sucursal', $lugares);
       $this->set('empleadosin', $sinventas);
       $this->set('mes' , $mesletra[$mes] );
       $this->set('sumatoria', $sumatoria);
       $this->set('sumatoriatercero', $sumatoriatercero);
       $this->set('ano', $hoy['year']);
       
       

       
       $this->set('sumatoria_recimp', $sumatoria_recimp);
       $this->set('sumatoria_usado', $sumatoria_usado);
       $this->set('sumatoria_recuperado', $sumatoria_recuperado);
       
    }
    


    
    public function verventa(){
        
         
        if(!empty($this->request->query['ano'])){
             $mesletra=array(1=>"ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
             
            $ano = $this->request->query['ano'];
            $mes = $this->request->query['mes'];
            
            
            $anos=array(1=>"2019","2020","2021","2022");
            
            $meses=array(1=>"01","02","03","04","05","06","07","08","09","10","11","12");
            $ultimodia=array(1=>"31","29","31","30","31","30","31","31","30","31","30","31");
            
            
            $desde = "01/".$meses[$mes]."/".$anos[$ano];
            $hasta = $ultimodia[$mes]."/".$meses[$mes]."/".$anos[$ano];
        
            $sqlwhere = "to_date(fecha,'dd/MM/yyyy')  between to_date('".$desde."','dd/mm/yyyy') and to_date('".$hasta."','dd/mm/yyyy') ";
            
            $empleados  =  TableRegistry::get('empleadovs');
        $sqlempleado = "cargo ilike '%VEND%'";
        $queryemple = $empleados->find('all', ['conditions' => [$sqlempleado], 'order by' => 'nombre']);
        $conventas = array();
        $sinventas = array();

        $sumatoria = 0;

        foreach ($queryemple as $empleado):
            $connection = ConnectionManager::get('default');
            $sql = "select * from ventas where vendedors = ".  $empleado->id . " and " . $sqlwhere;
            $results = $connection->execute($sql)->fetchAll('assoc');
            $cantidad = 0;
            $aux = array();
            foreach ($results as $v):
                $cantidad ++;
            endforeach;

            $sumatoria = $sumatoria + $cantidad;

            if($cantidad>0){
                $auxs = array (
                    $empleado->id,
                    $empleado->nombre . ' ' . $empleado->apellido,
                    $cantidad
                );
                array_push($conventas, $auxs);
            }else{
                if($empleado->borrado < 1){
                    $auxs = array (
                        $empleado->id,
                        $empleado->nombre . ' ' . $empleado->apellido,
                        $cantidad
                    );
                    array_push($sinventas, $auxs);
                }
            }
            $connection->disconnect();
       endforeach;
       $this->set('empleados', $conventas);
       $this->set('empleadosin', $sinventas);
       $this->set('mes' , $mesletra[$mes] );
       $this->set('ano' , $anos[$ano] );
       
       $this->set('sumatoria', $sumatoria);
            
        }
      
    }
    
    
    
    
}
