<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\Datasource\ConnectionManager;

/**
 * Inspeccions Controller
 *
 * @property \App\Model\Table\InspeccionsTable $inspeccions
 *
 * @method \App\Model\Entity\Inspeccion[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class InspeccionsController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        
         $connection = ConnectionManager::get('local');
        
         $inspeccions = $connection->execute('SELECT * FROM inspeccions WHERE borrado = 0')->fetchAll('assoc');
   
        $connection->disconnect();

        $this->set(compact('inspeccions'));
    }

 

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        
        $this->Inspeccions->setConnection(ConnectionManager::get('local'));
    
        $inspeccion = $this->Inspeccions->newEntity();
        
        if ($this->request->is('post')) {
            $inspeccion = $this->Inspeccions->patchEntity($inspeccion, $this->request->getData());
            $usuario = $this->Auth->User('id');
            $inspeccion->usuario = $usuario;
            $hoy = getdate();
            $inspeccion->fecha = sprintf('%02d/%02d/%04d', $hoy['mday'], $hoy['mon'], $hoy['year']);
             $inspeccion->borrado = 0;
             
            if ($this->Inspeccions->save($inspeccion)) {
                $this->Flash->success(__('Se agrego correctamente'));
                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('Ocurrio un error. Favor, intente de nuevo.'));
        }
        $this->set(compact('inspeccion'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Trabajo id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $this->Inspeccions->setConnection(ConnectionManager::get('local'));
        
        $inspeccion = $this->Inspeccions->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $inspeccion = $this->Inspeccions->patchEntity($inspeccion, $this->request->getData());
            if ($this->Inspeccions->save($inspeccion)) {
                $this->Flash->success(__('Se modifico correctamente!'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The trabajo could not be saved. Please, try again.'));
        }
        $this->set(compact('inspeccion'));
    }
    
    public function delete($id = null)
    {
        $this->Inspeccions->setConnection(ConnectionManager::get('local'));
        
        $inspeccion = $this->Inspeccions->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $usuario = $this->Auth->User('id');
            $inspeccion->usuario = $usuario;
            $hoy = getdate();
            $inspeccion->fecha = sprintf('%02d/%02d/%04d', $hoy['mday'], $hoy['mon'], $hoy['year']);
            $inspeccion->borrado = 1;
             
            if ($this->Inspeccions->save($inspeccion)) {
                $this->Flash->success(__('Se elimino correctamente!'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The trabajo could not be saved. Please, try again.'));
        }
        $this->set(compact('inspeccion'));
    }
    
    
   public function listado()
   {
        $hoy = getdate();
        $fecha = sprintf('%02d/%02d/%04d', $hoy['mday'], $hoy['mon'], $hoy['year']);
            
        $sql = "SELECT prv_id as nro, prv_fecha as fecha, prv_cedula AS cedula, trim(cli_nombre) || ' ' || trim(cli_apelli) as cliente, prv_vehiculo as chasis FROM presupuesto_venta inner join clientes on cli_cedula= prv_cedula   where prv_borrado  = 0 AND prv_estado = 1  and (to_date(prv_fecha,'dd/MM/yyyy')  between to_date('" . $fecha . "','dd/mm/yyyy') and to_date('". $fecha ."','dd/mm/yyyy')) ORDER BY prv_id";
    
        //debug($sql); exit();
        $connection = ConnectionManager::get('local');
        
        $inspeccions = $connection->execute($sql)->fetchAll('assoc');
   
        $connection->disconnect();

        $this->set(compact('inspeccions'));
        
    }
    
   public function cargar()
   {
        $this->Inspeccions->setConnection(ConnectionManager::get('local'));
         
         $conditions = ['borrado' => 0];

        $inspeccions = $this->paginate($this->Inspeccions->find('all', [
            'conditions' => $conditions
        ]));

        $selecciones = [];
        foreach ($inspeccions as $inspeccion) {
            $selecciones[] = $this->Inspeccions->Selecciones->newEntity([
                'inspeccion_id' => $inspeccion->id
            ]);
        }
        $this->set(compact('selecciones'));
        
   }

  
}
