<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Inventariosdetalles Controller
 *
 * @property \App\Model\Table\InventariosdetallesTable $Inventariosdetalles
 *
 * @method \App\Model\Entity\Inventariosdetalle[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class InventariosdetallesController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $inventariosdetalles = $this->paginate($this->Inventariosdetalles);

        $this->set(compact('inventariosdetalles'));
    }

    public function cantidad()
    {
        $cv = $this->Inventariosdetalles->find('all')->where(['estado' => 0]);
        $playa1 = $this->Inventariosdetalles->find('all')->where(['estado' => 1]);
        $chape = $this->Inventariosdetalles->find('all')->where(['estado' => 2]);
        $playa2 = $this->Inventariosdetalles->find('all')->where(['estado' => 3]);

        $this->set('a', $cv->count());
        $this->set('b', $playa1->count());
        $this->set('c', $chape->count());
        $this->set('d', $playa2->count());
    }

    /**
     * View method
     *
     * @param string|null $id Inventariosdetalle id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $inventariosdetalle = $this->Inventariosdetalles->get($id, [
            'contain' => []
        ]);

        $this->set('inventariosdetalle', $inventariosdetalle);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $inventariosdetalle = $this->Inventariosdetalles->newEntity();
        if ($this->request->is('post')) {
            $inventariosdetalle = $this->Inventariosdetalles->patchEntity($inventariosdetalle, $this->request->getData());
            if ($this->Inventariosdetalles->save($inventariosdetalle)) {
                $this->Flash->success(__('The inventariosdetalle has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The inventariosdetalle could not be saved. Please, try again.'));
        }
        $this->set(compact('inventariosdetalle'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Inventariosdetalle id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $inventariosdetalle = $this->Inventariosdetalles->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $inventariosdetalle = $this->Inventariosdetalles->patchEntity($inventariosdetalle, $this->request->getData());
            if ($this->Inventariosdetalles->save($inventariosdetalle)) {
                $this->Flash->success(__('The inventariosdetalle has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The inventariosdetalle could not be saved. Please, try again.'));
        }
        $this->set(compact('inventariosdetalle'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Inventariosdetalle id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $inventariosdetalle = $this->Inventariosdetalles->get($id);
        if ($this->Inventariosdetalles->delete($inventariosdetalle)) {
            $this->Flash->success(__('The inventariosdetalle has been deleted.'));
        } else {
            $this->Flash->error(__('The inventariosdetalle could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
