<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Llantas Controller
 *
 * @property \App\Model\Table\LlantasTable $Llantas
 *
 * @method \App\Model\Entity\Llanta[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class LlantasController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $llantas = $this->paginate($this->Llantas);

        $this->set(compact('llantas'));
    }

    /**
     * View method
     *
     * @param string|null $id Llanta id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $llanta = $this->Llantas->get($id, [
            'contain' => []
        ]);

        $this->set('llanta', $llanta);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */

    public function add()
    {
    	

        $llanta = $this->Llantas->newEntity();
        if ($this->request->is('post')) {
            $llanta = $this->Llantas->patchEntity($llanta, $this->request->getData());
          
            if ($this->Llantas->save($llanta)) {
                $llanta->foto = $llanta->id. '.jpg';
                $image_name        = $llanta->id. '.jpg';
                $image_tmp         = $this->request->data['foto']['tmp_name'];

                if(!empty($this->request->data['foto']['tmp_name'])){
                    if (!move_uploaded_file($image_tmp , WWW_ROOT . 'img' . DS . 'llanta' . DS . $image_name)){
                     $this->Flash->error('no se movio');
                    }else{
                        if ($this->Llantas->save($llanta)) {
                            return $this->redirect(['action' => 'index']);
                        }
                    }
                }
                
                
            }
            
          
       
            
        }
        $this->set(compact('llanta'));
    }

 

    /**
     * Edit method
     *
     * @param string|null $id Llanta id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $llanta = $this->Llantas->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $llanta = $this->Llantas->patchEntity($llanta, $this->request->getData());
            if ($this->Llantas->save($llanta)) {
                $this->Flash->success(__('Modificado.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The llanta could not be saved. Please, try again.'));
        }
         $this->set(compact('llanta'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Llanta id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $llanta = $this->Llantas->get($id);
        if ($this->Llantas->delete($llanta)) {
            $this->Flash->success(__('Borrado!.'));
        } else {
            $this->Flash->error(__('The llanta could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
