<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;


/**
 * Propuestas Controller
 *
 * @property \App\Model\Table\PropuestasTable $Propuestas
 *
 * @method \App\Model\Entity\Propuesta[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class PropuestasController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $hoy = getdate(); 
        $fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year'];
        $propuestas = $this->paginate($this->Propuestas, ['conditions' => ['propuestas.usuario'  => $this->Auth->User('empleado') ]]);

        //pendientes count
        $pendiente  =  TableRegistry::get('propuestas');
        $sqlpendiente = $pendiente->find('all', ['conditions' => ['propuestas.usuario'  => $this->Auth->User('empleado'), 'propuestas.estado' => 0 ]]);

        //respuestas del dia count
        $respuestas  =  TableRegistry::get('propuestas');
        $sqlrespuestasdeldia = $respuestas->find('all', ['conditions' => ['propuestas.usuario'  => $this->Auth->User('empleado'), 'propuestas.estado' => 1, "to_date(fecha,'dd/MM/yyyy')  between to_date('".$fecha."','dd/mm/yyyy') and to_date('".$fecha."','dd/mm/yyyy')" ]]);

        //todos count
        $todos  =  TableRegistry::get('propuestas');
        $sqltodos = $todos->find('all', ['conditions' => ['propuestas.usuario'  => $this->Auth->User('empleado') , 'propuestas.estado' => 1  ]]);

        $this->set(compact('propuestas'));
        $this->set('hoy', $fecha);
        $this->set('fe', $hoy);
        $this->set('pendiente', $sqlpendiente->count());
        $this->set('respuestadia', $sqlrespuestasdeldia->count());
        $this->set('todos', $sqltodos->count());
    }
    public function respuestas()
    {
        $propuestas = $this->paginate($this->Propuestas, ['conditions' => ['propuestas.usuario'  => $this->Auth->User('empleado'), 'propuestas.estado' => 1 ]]);

        $this->set(compact('propuestas'));
    }

    public function pendientes()
    {
        $propuestas = $this->paginate($this->Propuestas, ['conditions' => ['propuestas.usuario'  => $this->Auth->User('empleado'), 'propuestas.estado' => 0  ]]);

        $this->set(compact('propuestas'));
    }

    public function respuestadia2()
    {
        $hoy = getdate(); 
        $fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year'];

        $propuestas = $this->paginate($this->Propuestas, ['conditions' => ['propuestas.usuario'  => $this->Auth->User('empleado'), 'propuestas.estado' => 1, "to_date(fecha,'dd/MM/yyyy')  between to_date('".$fecha."','dd/mm/yyyy') and to_date('".$fecha."','dd/mm/yyyy')" ] ]);

        $this->set(compact('propuestas'));
    }

    /**
     * View method
     *
     * @param string|null $id Propuesta id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {

        if ($this->request->is('post')) {
            $Respuestas  =  TableRegistry::get('respuestas');
            $respuesta = $Respuestas->newEntity();
            
            $respuesta = $Respuestas->patchEntity($respuesta, $this->request->getData());
            $respuesta->idpropuesta = $id;
            $usuario = $this->Auth->User('empleado');
            $respuesta->usuario = $usuario;
            $respuesta->nombreusuario = $this->Auth->User('first_name') . ' ' . $this->Auth->User('last_name');
            $hoy = getdate();
            $respuesta->fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year'];
            $respuesta->hora = $hoy['hours'].":".$hoy['minutes'].":".$hoy['seconds'];

            if($this->Auth->User('id') == 3 or $this->Auth->User('id') == 170 or $this->Auth->User('id') == 35 or $this->Auth->User('id') == 1 or $this->Auth->User('id') == 48 or $this->Auth->User('id') == 26 or $this->Auth->User('id') == 37){
                $respuesta->tipo = 2;
            }else{
                $respuesta->tipo = 1;
            }

            if ($Respuestas->save($respuesta)) {

                $propuesta = $this->Propuestas->get($id, [
                    'contain' => []
                ]);
                
                if($respuesta->tipo == 1){
                    $propuesta->estado = 0;
                    $this->Propuestas->save($propuesta);

                    $this->Flash->success(__('Mensaje enviado al gerente!'));
                    return $this->redirect(['action' => 'index']);
                }
                if($respuesta->tipo == 2){
                    $propuesta->estado = 1;
                    $propuesta->fecha = $respuesta->fecha;
                    $this->Propuestas->save($propuesta);

                    $this->Flash->success(__('Mensaje enviado al vendedor!'));
                    if($this->Auth->User('id') == 26){
                        return $this->redirect(['action' => 'gerentepremio']);
                      } else {
                        return $this->redirect(['action' => 'gerente']);
                      }   
                    
                }   
            }
           
        }

        $propuesta = $this->Propuestas->get($id, [
            'contain' => []
        ]);

        $todos  =  TableRegistry::get('respuestas');
        $sqltodos = $todos->find('all', ['conditions' => ['respuestas.idpropuesta' => $id ], 'order' => ['respuestas.id' => 'asc']]);


        $this->set('propuesta', $propuesta);
        $this->set('chat', $sqltodos);
       
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add($chasis = null)
    {
        $propuesta = $this->Propuestas->newEntity();
        if ($this->request->is('post')) {
            $propuesta = $this->Propuestas->patchEntity($propuesta, $this->request->getData());
            $hoy = getdate(); 
            $fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year'];
            $hora = $hoy['hours'].":".$hoy['minutes'].":".$hoy['seconds'];

            $propuesta->chasis = $chasis;
            $propuesta->bono = 0;
            $propuesta->estado = 0;
            $propuesta->usuario = $this->Auth->User('empleado');
            $propuesta->fecha = $fecha;
            $propuesta->hora = $hora;
            $propuesta->vendedor = $this->Auth->User('first_name') . ' ' . $this->Auth->User('last_name');
            $propuesta->empresa = $this->Auth->User('empresa') ;
            if ($this->Propuestas->save($propuesta)) {
                $this->Flash->success(__('Propuesta enviado al gerente!'));
               return $this->redirect(['action' => 'index']);
               
            }
            $this->Flash->error(__('La propuesta no se pudo crear. favor, intente de nuevo.'));
        }
        $this->set(compact('propuesta'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Propuesta id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $propuesta = $this->Propuestas->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $propuesta = $this->Propuestas->patchEntity($propuesta, $this->request->getData());
            $propuesta->estado = 1;
            if ($this->Propuestas->save($propuesta)) {
                
                return $this->redirect(['action' => 'gerente']);
            }
        }
        $this->set(compact('propuesta'));
    }


    public function quitarpendiente($id = null)
    {
        $propuesta = $this->Propuestas->get($id, [
            'contain' => []
        ]);
       
            $propuesta->estado = 1;
            if ($this->Propuestas->save($propuesta)) {
                return $this->redirect(['action' => 'gerente']);
            }
        
        $this->set(compact('propuesta'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Propuesta id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $propuesta = $this->Propuestas->get($id);
        if ($this->Propuestas->delete($propuesta)) {
            $this->Flash->success(__('The propuesta has been deleted.'));
        } else {
            $this->Flash->error(__('The propuesta could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'duplicados']);
    }


    public function respuestadia(){
        $search = null;
        $searchv = '';
        $hoy = getdate(); 
        $fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year'];

        if(!empty($this->request->query['search'])){
            $search = $this->request->query['search'];
            $searchv = $search;
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));
                     
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                $conditions[] = array(
                    'OR' => array(
                        array('propuestas.nombre LIKE' => '%' . $term . '%'),
                        array('propuestas.celular LIKE' => '%' . $term .'%'),
                        array('propuestas.propuesta LIKE' => '%' . $term .'%'),
                        array('propuestas.chasis LIKE' => '%' . $term .'%'),
                    )
                ); 
            }
            $condicionfinal = $conditions . "and" . 'propuestas.usuario = ' . $this->Auth->User('empleado') . ' and propuestas.estado = 1' . " and to_date(fecha,'dd/MM/yyyy')  between to_date('".$fecha."','dd/mm/yyyy') and to_date('".$fecha."','dd/mm/yyyy')";
            $propuestas = $this->Propuestas->find('all', array('recursive' => -1, 'conditions' => $condicionfinal, 'limit' => 200, 'order' => ['propuestas.id' => 'asc']));
            $terms1 = array_diff($terms1, array(''));
            $this->set(compact('propuestas', 'terms1'));
            $this->set('search',  $searchv);
            if($this->request->is('ajax')){
                $this->layout = true;
                $this->set('ajax', 1);
            }else{
                $this->set('ajax', 0);
            }
        } else {
           ///return $this->redirect(['action' => 'pendientes']);
          $propuestas = $this->paginate($this->Propuestas, ['conditions' => ['propuestas.usuario'  => $this->Auth->User('empleado'), 'propuestas.estado' => 1, "to_date(fecha,'dd/MM/yyyy')  between to_date('".$fecha."','dd/mm/yyyy') and to_date('".$fecha."','dd/mm/yyyy')" ] ]);

          $this->set(compact('propuestas'));
          $this->set('search',  $searchv);
        }
    }

     public function responder($id = null)
    {
        $propuesta = $this->Propuestas->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $propuesta = $this->Propuestas->patchEntity($propuesta, $this->request->getData());
            $propuesta->estado = 1;
            if ($this->Propuestas->save($propuesta)) {
                $this->Flash->success(__('Respuesta enviada correctamente'));

                return $this->redirect(['action' => 'gerente']);
            }
            $this->Flash->error(__('Favor, intente de nuevo!'));
        }
        $this->set(compact('propuesta'));
    }

     public function gerente()
    {
        
         if(!empty($this->request->query['search'])){
            $search = $this->request->query['search'];
            $searchv = $search;
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));
                     
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                $conditions[] = array(
                    'OR' => array(
                        array('propuestas.nombre LIKE' => '%' . $term . '%'),
                        array('propuestas.celular LIKE' => '%' . $term .'%'),
                        array('propuestas.propuesta LIKE' => '%' . $term .'%'),
                        array('propuestas.chasis LIKE' => '%' . $term .'%'),
                    ),
                    array('propuestas.estado' => 0)
                ); 
            }
           
            $propuestas = $this->Propuestas->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['propuestas.celular' => 'asc']));
            $terms1 = array_diff($terms1, array(''));
            $this->set(compact('propuestas', 'terms1'));
            $this->set('searchv',  $searchv);
            if($this->request->is('ajax')){
                $this->layout = true;
                $this->set('ajax', 1);
            }else{
                $this->set('ajax', 0);
            }
         }else{
             $propuestas = $this->paginate($this->Propuestas, ['conditions' => [ 'propuestas.estado' => 0  ]]);
             $this->set(compact('propuestas'));
         }
    }

     public function gerentepremio()
    {
      $propuestas = $this->paginate($this->Propuestas, ['conditions' => [ 'propuestas.estado' => 0 ,  'propuestas.empresa' => 2 ]]);
      $this->set(compact('propuestas'));
    }

    public function mes()
    {

        $hoy = getdate();
        $mesestotal = $hoy['mon'];
        $pila = array();

        
        for ($i = 1; $i <= $mesestotal; $i++) {
           array_push($pila, $i);
        }
        $this->set('meses', $pila);
    }


     public function agrupado($mes = null){
        
        $mesletra=array(1=>"ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
        $hoy = getdate();
        $desde = "";
        $hasta = "";
        $ultimodia=array(1=>"31","28","31","30","31","30","31","31","30","31","30","31");
        $desde = "01/".$mes."/".$hoy['year'];
        $hasta = $ultimodia[$mes]."/".$mes."/".$hoy['year'];
        $sqlwhere = "to_date(fecha,'dd/MM/yyyy')  between to_date('".$desde."','dd/mm/yyyy') and to_date('".$hasta."','dd/mm/yyyy') ";
        
        
        $empleados  =  TableRegistry::get('empleados');
        $sqlempleado = "cargo ilike '%VEND%'";
        $queryemple = $empleados->find('all', ['conditions' => [$sqlempleado], 'order by' => 'nombre']);
        $conventas = array();
        $sinventas = array();
        foreach ($queryemple as $empleado):
            $connection = ConnectionManager::get('default');
            $sql = "select * from propuestas where usuario = ".  $empleado->id . " and " . $sqlwhere;
            $results = $connection->execute($sql)->fetchAll('assoc');
            $cantidad = 0;
            $aux = array();
            foreach ($results as $v):
                $cantidad ++;
            endforeach; 
            if($cantidad>0){
                $auxs = array (
                    $empleado->id,
                    $empleado->nombre . ' ' . $empleado->apellido,
                    $cantidad
                );
                array_push($conventas, $auxs);
            }else{
                $auxs = array (
                    $empleado->id,
                    $empleado->nombre . ' ' . $empleado->apellido,
                    $cantidad
                );
                array_push($sinventas, $auxs);
            }
       endforeach;
       $this->set('empleados', $conventas);
       $this->set('empleadosin', $sinventas);
       $this->set('mes' , $mesletra[$mes] );
       $this->set('mesnum' , $mes );
    }


    public function gerentedelmes()
    {
        $mesesN=array(1=>"ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO",
             "AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
        $hoy = getdate();
        $desde = "";
        $hasta = "";
        $ultimodia=array(1=>"31","28","31","30","31","30","31","31","30","31","30","31");
        
             $this->set('mes', $mesesN[$hoy['mon']]);
             $desde = "01/".$hoy['mon']."/".$hoy['year'];
             $hasta = $ultimodia[$hoy['mon']]."/".$hoy['mon']."/".$hoy['year'];
        
        $sqlwhere = "to_date(fecha,'dd/MM/yyyy')  between to_date('".$desde."','dd/mm/yyyy') and to_date('".$hasta."','dd/mm/yyyy')";
         if(!empty($this->request->query['search'])){
            $search = $this->request->query['search'];
            $searchv = $search;
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));      
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                $conditions[] = array(
                    'OR' => array(
                        array('propuestas.nombre LIKE' => '%' . $term . '%'),
                        array('propuestas.celular LIKE' => '%' . $term .'%'),
                        array('propuestas.propuesta LIKE' => '%' . $term .'%'),
                        array('propuestas.chasis LIKE' => '%' . $term .'%'),
                    ),
                    array($sqlwhere)
                ); 
            }
            $propuestas = $this->Propuestas->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['propuestas.celular' => 'asc']));
            $terms1 = array_diff($terms1, array(''));
            $this->set(compact('propuestas', 'terms1'));
            $this->set('searchv',  $searchv);
            if($this->request->is('ajax')){
                $this->layout = true;
                $this->set('ajax', 1);
            }else{
                $this->set('ajax', 0);
            }
         }else{
             $propuestas = $this->paginate($this->Propuestas, ['conditions' => [  $sqlwhere  ], 'order' => ['propuestas.celular' => 'asc']]);
             $this->set(compact('propuestas'));
         }
    }



    public function dia()
    {

         $mesesN=array(1=>"ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO",
             "AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
        $hoy = getdate();
        $mesestotal = $hoy['mon'];
        $pila = array();

        $ultimodia=array(1=>31,28,31,30,31,30,31,31,30,31,30,31);
         $this->set('mes', $mesesN[$hoy['mon']]);
        
        for ($i = 1; $i <= $ultimodia[$mesestotal]; $i++) {
           array_push($pila, $i);
        }
        $this->set('meses', $pila);
    }


    public function gerentepordia()
    {
        $mesesN=array(1=>"ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO",
             "AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
        $hoy = getdate();
        $desde = "";
        $hasta = "";
        $ultimodia=array(1=>"31","28","31","30","31","30","31","31","30","31","30","31");
        if($hoy['mday'] >= 1 and $hoy['mday'] <= 5){
             $this->set('mes', $mesesN[$hoy['mon']-1]);
             $desde = "01/".($hoy['mon']-1)."/".$hoy['year'];
             $hasta = $ultimodia[($hoy['mon']-1)]."/".($hoy['mon']-1)."/".$hoy['year'];
        }else{
             $this->set('mes', $mesesN[$hoy['mon']]);
             $desde = "01/".$hoy['mon']."/".$hoy['year'];
             $hasta = $ultimodia[$hoy['mon']]."/".$hoy['mon']."/".$hoy['year'];
        }
        $sqlwhere = "to_date(fecha,'dd/MM/yyyy')  between to_date('".$desde."','dd/mm/yyyy') and to_date('".$hasta."','dd/mm/yyyy')";
         if(!empty($this->request->query['search'])){
            $search = $this->request->query['search'];
            $searchv = $search;
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));      
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                $conditions[] = array(
                    'OR' => array(
                        array('propuestas.nombre LIKE' => '%' . $term . '%'),
                        array('propuestas.celular LIKE' => '%' . $term .'%'),
                        array('propuestas.propuesta LIKE' => '%' . $term .'%'),
                        array('propuestas.chasis LIKE' => '%' . $term .'%'),
                    ),
                    array($sqlwhere)
                ); 
            }
            $propuestas = $this->Propuestas->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['propuestas.celular' => 'asc']));
            $terms1 = array_diff($terms1, array(''));
            $this->set(compact('propuestas', 'terms1'));
            $this->set('searchv',  $searchv);
            if($this->request->is('ajax')){
                $this->layout = true;
                $this->set('ajax', 1);
            }else{
                $this->set('ajax', 0);
            }
         }else{
             $propuestas = $this->paginate($this->Propuestas, ['conditions' => [  $sqlwhere  ], 'order' => ['propuestas.celular' => 'asc']]);
             $this->set(compact('propuestas'));
         }
    }



public function agrupadodia($dia = null){
        
        $mesletra=array(1=>"ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
        $hoy = getdate();
        $desde = "";
        $hasta = "";
        $ultimodia=array(1=>"31","28","31","30","31","30","31","31","30","31","30","31");
        $desde = $dia."/".$hoy['mon']."/".$hoy['year'];
        $hasta = $dia."/".$hoy['mon']."/".$hoy['year'];
        $sqlwhere = "to_date(fecha,'dd/MM/yyyy')  between to_date('".$desde."','dd/mm/yyyy') and to_date('".$hasta."','dd/mm/yyyy') ";
        
        
        $empleados  =  TableRegistry::get('empleados');
        $sqlempleado = "cargo ilike '%VEND%'";
        $queryemple = $empleados->find('all', ['conditions' => [$sqlempleado], 'order by' => 'nombre']);
        $conventas = array();
        $sinventas = array();
        foreach ($queryemple as $empleado):
            $connection = ConnectionManager::get('default');
            $sql = "select * from propuestas where usuario = ".  $empleado->id . " and " . $sqlwhere;
            $results = $connection->execute($sql)->fetchAll('assoc');
            $cantidad = 0;
            $aux = array();
            foreach ($results as $v):
                $cantidad ++;
            endforeach; 
            if($cantidad>0){
                $auxs = array (
                    $empleado->id,
                    $empleado->nombre . ' ' . $empleado->apellido,
                    $cantidad
                );
                array_push($conventas, $auxs);
            }else{
                $auxs = array (
                    $empleado->id,
                    $empleado->nombre . ' ' . $empleado->apellido,
                    $cantidad
                );
                array_push($sinventas, $auxs);
            }
       endforeach;
       $this->set('empleados', $conventas);
       $this->set('empleadosin', $sinventas);
       $this->set('mes' , $mesletra[$mes] );
       $this->set('dia' , $dia );
    }



 public function presupuestoporvendedor($dia = null, $usuario = null)
    {
        $mesesN=array(1=>"ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO",
             "AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
        $hoy = getdate();
        $desde = $dia."/".$hoy['mon']."/".$hoy['year'];
        $hasta = $dia."/".$hoy['mon']."/".$hoy['year'];
        $sqlwhere = "to_date(fecha,'dd/MM/yyyy')  between to_date('".$desde."','dd/mm/yyyy') and to_date('".$hasta."','dd/mm/yyyy') and usuario =".$usuario;
         if(!empty($this->request->query['search'])){
            $search = $this->request->query['search'];
            $searchv = $search;
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));      
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                $conditions[] = array(
                    'OR' => array(
                        array('propuestas.nombre LIKE' => '%' . $term . '%'),
                        array('propuestas.celular LIKE' => '%' . $term .'%'),
                        array('propuestas.propuesta LIKE' => '%' . $term .'%'),
                        array('propuestas.chasis LIKE' => '%' . $term .'%'),
                    ),
                    array($sqlwhere)
                ); 
            }
            $propuestas = $this->Propuestas->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['propuestas.celular' => 'asc']));
            $terms1 = array_diff($terms1, array(''));
            $this->set(compact('propuestas', 'terms1'));
            $this->set('searchv',  $searchv);
            if($this->request->is('ajax')){
                $this->layout = true;
                $this->set('ajax', 1);
            }else{
                $this->set('ajax', 0);
            }
         }else{
             $propuestas = $this->paginate($this->Propuestas, ['conditions' => [  $sqlwhere  ], 'order' => ['propuestas.celular' => 'asc']]);
             $this->set(compact('propuestas'));
         }
    }


     public function vendedorpormes($mes = null, $usuario = null)
    {
        $mesesN=array(1=>"ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO",
             "AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
        $hoy = getdate();
         $ultimodia=array(1=>"31","28","31","30","31","30","31","31","30","31","30","31");
        $desde = "01/".$mes."/".$hoy['year'];
        $hasta = $ultimodia[$mes]."/".$mes."/".$hoy['year'];

        $sqlwhere = "to_date(fecha,'dd/MM/yyyy')  between to_date('".$desde."','dd/mm/yyyy') and to_date('".$hasta."','dd/mm/yyyy') and usuario =".$usuario;
      
         $propuestas = $this->paginate($this->Propuestas, ['conditions' => [  $sqlwhere  ], 'order' => ['propuestas.celular' => 'asc']]);
         $this->set(compact('propuestas'));
        
    }

public function duplicados(){

    if(!empty($this->request->query['search'])){
            $search = $this->request->query['search'];
            $searchv = $search;
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));  
            $sql = "";    
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
               

                 $sql = "propuestas.celular ilike '%".$term."%'";
            }

             $propuestas  =  TableRegistry::get('propuestas');
            $query = $propuestas->find();
            $query->select([ 'celular',
                'count' => $query->func()->count('celular')
            ])
            ->where( $sql)
            ->group('celular')
            ->having(['count(celular) >' => 1]);
            $this->set('propuestas', $query);


    }else{
         $propuestas  =  TableRegistry::get('propuestas');
         $query = $propuestas->find();
         $query->select([ 'celular',
            'count' => $query->func()->count('celular')
         ])
         ->group('celular, fecha')
         ->having(['count(celular) >' => 1])
         ->order(["to_date(fecha,'dd/MM/yyyy') desc"]);
    $this->set('propuestas', $query);
    }


   
} 

public function verduplicados($numero = null){




     $propuestas  =  TableRegistry::get('propuestas');

     $sqlwhere = "trim(propuestas.celular) ='".$numero."'";

    $sqltodos = $propuestas->find('all', ['conditions' => [ $sqlwhere], 'order' => ['propuestas.id' => 'asc']]);

    $this->set('propuestas', $sqltodos);


}
    
}
