<?php

namespace App\Controller;

use App\Controller\AppController;

class Referencia2Controller extends AppController
{
  public function index()
  {
    $search = null;
    if (!empty($this->request->query['search'])) {
      $search = $this->request->query['search'];
      $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 -]/u', '', $search);
      $terms = explode(' ', trim($search));
      $terms = array_diff($terms, array(''));

      foreach ($terms as $term) {
        $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 -]/u', '', $term);
        $conditions[] = array(
          'AND' => array(
            'userid' => $this->Auth->User('id'),
            'borrado' => 0,
            'OR' => array(
              array('referencia2.cedula LIKE' => '%' . $term . '%'),
              array('referencia2.nombre LIKE' => '%' . strtoupper($term) . '%'),
              array('referencia2.apellido LIKE' => '%' . strtoupper($term) . '%'),
            )
          )
        );
      }
      $referencia2 = $this->Referencia2->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['Referencia2.id' => 'asc']));
      $this->set('referencia2', $this->paginate($referencia2));
      $this->set('_serialize', ['referencia2']);
    } else {
      $this->paginate = [
        'order' => [
          'Referencia2.id' => 'asc'
        ]
      ];

      $referencia2 = $this->paginate($this->Referencia2, [
        'conditions' => [
          'userid' => $this->Auth->User('id'),
          'borrado' => 0
        ]
      ]);

      $this->set(compact('referencia2'));
      $this->set('_serialize', ['referencia2']);
    }
    $this->set('search', $search);
  }

  public function add()
  {

    $this->loadModel('Referencia2documentos');

    if ($this->request->is('post')) {

      $userid = ($_SESSION['Auth']['User']['id']);
      $formData = $this->request->getData();
      $referencia2 = $this->Referencia2->newEntity($this->request->getData());
      $referencia2->userid = $userid;
      $referencia2->fecha = date('d/m/y H:i:s');

      if ($this->Referencia2->save($referencia2)) {
        $idgenerado = $referencia2->id;
        $this->Flash->success(__('Cliente registrado !'));
      } else {
        $this->Flash->error(__('Error al guardar Cliente..'));
      }

      $uploadFolder = 'img/docs';
      $uploadPath = WWW_ROOT . $uploadFolder . DS;

      $nombresvar = array(
        "fotocedula_frente" => "Foto Cédula (Frente)",
        "fotocedula_reverso" => "Foto Cédula (Reverso)",
        "certificado_de_matrimonio" => "Certificado de Matrimonio",
        "libreta_de_familia" => "Libreta de Familia",
        "certificado_de_nacimiento" => "Certificado de Nacimiento",
        "otro" => "Otro documento personal",
        "boleta_de_ande" => "Boleta de ANDE",
        "contrato_privado" => "Contrato Privado",
        "libreta_de_terreno" => "Libreta de Terreno",
        "titulo_de_propiedad" => "Título de Propiedad",
        "adjudicacion" => "Adjudicación",
        "certificado_de_trabajo" => "Certificado de Trabajo",
        "iva" => "I.V.A.",
        "patente" => "Patente",
        "extracto_bancario" => "Extracto Bancario",
        "factura_de_compra" => "Factura de Compra",
        "foto_del_comercio" => "Foto del Comercio",
        "foto_de_mercaderia" => "Foto de Mercadería",
        "otro_informal" => "Otro (Informal)",
        "maps_foto" => "Foto Google Maps",
        "casa_frente" => "Foto Casa (Frente)",
        "casa_lado_izquierdo" => "Foto Casa (lado izquierdo)",
        "casa_lado_derecho" => "Foto Casa (lado derecho)",
        "titular2_cedula_frente" => "Cédula Segundo Titular (Frente)",
        "titular2_cedula_reverso" => "Cédula Segundo Titular (Reverso)",
        "codeudor_cedula_frente" => "Cédula Codeudor (Frente)",
        "codeudor_cedula_reverso" => "Cédula Codeudor (Reverso)"
      );

      foreach ($nombresvar as $nombrevar => $titulovar) {
        ${$nombrevar} = $formData[$nombrevar];

        if (!empty(${$nombrevar}['tmp_name'])) {
          $filename = ${$nombrevar}['name'];
          $extension = pathinfo($filename, PATHINFO_EXTENSION);
          $filenameup = $referencia2->cedula . "-" . $userid . "-" . $nombrevar . "." . $extension;

          if (move_uploaded_file(${$nombrevar}['tmp_name'], $uploadPath . $filenameup)) {
            $uploadedFiles[] = $filename;
            $referencia2documento = $this->Referencia2documentos->newEntity($this->request->getData());
            $referencia2documento->id_referencia = $idgenerado;
            $referencia2documento->archivo = $filenameup;
            $referencia2documento->descripcion = $titulovar;

            if ($this->Referencia2documentos->save($referencia2documento)) {
              //$this->Flash->success(__('Cliente registrado !'));
              //return $this->redirect(['action' => 'index']);
            } else {
              $this->Flash->error(__('Error al guardar documento..'));
            }
          } else {
            $this->Flash->error("Hubo un problema al cargar ({$nombrevar}). Inténtelo de nuevo.");
            return;
          }
        }
      }
      return $this->redirect(['action' => 'index']);
      //debug($referencia2);
      //exit();
    }
  }

  public function view($id = null)
  {
    $this->loadModel('Referencia2documentos');

    $referencia = $this->Referencia2->get($id);
    $id_referencia = $referencia->id;
    $referencia2documentos = $this->Referencia2documentos->find()
      ->where(['id_referencia' => $id_referencia, 'borrado' => 0])
      ->all();

    $this->set('referencia', $referencia);
    $this->set('referencia2documentos', $referencia2documentos);
    $this->set('_serialize', ['referencia', 'referencia2documentos']);
  }
}
