<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;

/**
 * SimuladorVentas Controller
 *
 * @property \App\Model\Table\SimuladorVentasTable $SimuladorVentas
 *
 * @method \App\Model\Entity\SimuladorVenta[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class SimuladorVentasController extends AppController
{

    public function initialize()
    {
        parent::initialize();
        $this->loadComponent('RequestHandler');
    }


    public function index()
    {

        $simulador  =  TableRegistry::get('SimuladorVentas');
        $sqlsimulador = "simuladorventas.mostrar = 1 and simuladorventas.confirmado = 0 and empleado_id = " .  $this->Auth->User('empleado') . " and fecha = '" .  $fechasimulador .  "'" ;
        $querymis = $simulador->find('all', ['conditions' => [$sqlsimulador] ] );
        $this->set('mis_preventas', $querymis->count());

        $this->paginate = [
            //'conditions' => ['stocks.imagen IS NULL'],
            'contain' => ['Stocks', 'Empleados']
        ];
        $simuladorVentas = $this->paginate($this->SimuladorVentas);
        $this->set(compact('simuladorVentas'));
    }


     public function cedulaver($cedula = null)
    {
        $this->paginate = [
            'conditions' => ['simuladorVentas.ci' => $cedula ],
            'contain' => ['Stocks', 'Empleados']
        ];
        $simuladorVentas = $this->paginate($this->SimuladorVentas);

        $tocks  =  TableRegistry::get('cotizacions');
        $query = $tocks->find('all');
        $venta = 0;
        $compra = 0;
        foreach ($query as $coti):
          $venta = $coti->doven;
          $compra = $coti->docom;
        endforeach;

        $this->set('cotiventa', $venta);
        $this->set('coticompra', $compra);
        
        $this->set(compact('simuladorVentas'));
    }

    public function movil()
    {
        
        $fechasimulador = date('d/m/Y');
        $condicion = "";
       /* if( $this->Auth->User('id') == 1 or $this->Auth->User('id') == 19 or $this->Auth->User('id') == 26 or $this->Auth->User('id') == 25 or $this->Auth->User('id') == 3){
            $condicion = "simuladorventas.mostrar = 1 and veces < 7 and simuladorventas.confirmado = 0 and Empleados.id = " .  $this->Auth->User('empleado') . " and fecha = '" .  $fechasimulador .  "'" ;
        }else{
            $condicion = "simuladorventas.mostrar = 1 and veces < 4 and simuladorventas.confirmado = 0 and Empleados.id = " .  $this->Auth->User('empleado') . " and fecha = '" .  $fechasimulador .  "'" ;
         }*/

         $condicion = "simuladorventas.mostrar = 1 and veces <= 7 and simuladorventas.confirmado = 0 and Empleados.id = " .  $this->Auth->User('empleado') . " and fecha = '" .  $fechasimulador .  "'" ;
      
        
        $this->paginate = [
            'conditions' => [$condicion],
            'order' => [
               'simulador_ventas.id' => 'asc'
            ],
            'contain' => ['Stocks', 'Empleados']
            
        ];
        $simuladorVentas = $this->paginate($this->SimuladorVentas);
        $Bonosdescuentos = TableRegistry::get('bonosdescuentos');
        $bonosdescuento = $Bonosdescuentos->get(1);
        $Comisiones = TableRegistry::get('comisiones');
        $comision = $Comisiones->get(1);
        $tocks  =  TableRegistry::get('cotizacions');
        $query = $tocks->find('all');
        $venta = 0;
        $compra = 0;
        foreach ($query as $coti):
          $venta = $coti->doven;
          $compra = $coti->docom;
        endforeach;

        $this->set('cotiventa', $venta);
        $this->set('coticompra', $compra);
        $this->set(compact('simuladorVentas'));
        $this->set("bonosdescuento", $bonosdescuento);
        $this->set("comisione", $comision);
    }


    public function todos()
    {
        
        $fechasimulador = date('d/m/Y');
        $condicion = "";
        if ($this->request->is('post')) {
            $simuladorVenta = $this->SimuladorVentas->newEntity();
            $simuladorVenta = $this->SimuladorVentas->patchEntity($simuladorVenta, $this->request->getData());

            if( $this->Auth->User('id') == 1 or $this->Auth->User('id') == 19 or $this->Auth->User('id') == 26 or $this->Auth->User('id') == 25 or $this->Auth->User('id') == 3){
                $condicion = "simuladorventas.mostrar = 1 and simuladorventas.confirmado = 0 and Empleados.id = " .  $this->Auth->User('empleado') . " and fecha = '" . $simuladorVenta->fecha .  "'" ;
            }else{
                $condicion = "simuladorventas.mostrar = 1 and simuladorventas.confirmado = 0 and Empleados.id = " .  $this->Auth->User('empleado') . " and fecha = '" .  $simuladorVenta->fecha .  "'" ;
            }
        }else{ 
            if( $this->Auth->User('id') == 1 or $this->Auth->User('id') == 19 or $this->Auth->User('id') == 26 or $this->Auth->User('id') == 25 or $this->Auth->User('id') == 3){
                $condicion = "simuladorventas.mostrar = 1 and simuladorventas.confirmado = 0 and Empleados.id = " .  $this->Auth->User('empleado') . " and fecha = '" .  $fechasimulador .  "'" ;
            }else{
                $condicion = "simuladorventas.mostrar = 1 and simuladorventas.confirmado = 0 and Empleados.id = " .  $this->Auth->User('empleado') . " and fecha = '" .  $fechasimulador .  "'" ;
            }
        }
        
        $this->paginate = [
            'conditions' => [$condicion],
            'order' => [
               'simulador_ventas.id' => 'asc'
            ],
            'contain' => ['Stocks', 'Empleados']
            
        ];
        $simuladorVentas = $this->paginate($this->SimuladorVentas);
        $Bonosdescuentos = TableRegistry::get('bonosdescuentos');
        $bonosdescuento = $Bonosdescuentos->get(1);
        $Comisiones = TableRegistry::get('comisiones');
        $comision = $Comisiones->get(1);
        $tocks  =  TableRegistry::get('cotizacions');
        $query = $tocks->find('all');
        $venta = 0;
        $compra = 0;
        foreach ($query as $coti):
          $venta = $coti->doven;
          $compra = $coti->docom;
        endforeach;

        $this->set('cotiventa', $venta);
        $this->set('coticompra', $compra);
        $this->set(compact('simuladorVentas'));
        $this->set("bonosdescuento", $bonosdescuento);
        $this->set("comisione", $comision);
    }


    public function aprobados()
    {
        
        $fechasimulador = date('d/m/Y');
        $condicion = "simuladorventas.mostrar = 1 and (simuladorventas.estado = 1 or simuladorventas.estado = 2) and veces > 3 and simuladorventas.confirmado = 0 and Empleados.id = " .  $this->Auth->User('empleado') . " and fecha = '" .  $fechasimulador .  "'" ;
        
        $this->paginate = [
            'conditions' => [$condicion],
            'order' => [
               'simulador_ventas.id' => 'asc'
            ],
            'contain' => ['Stocks', 'Empleados']
            
        ];
        $simuladorVentas = $this->paginate($this->SimuladorVentas);
        $Bonosdescuentos = TableRegistry::get('bonosdescuentos');
        $bonosdescuento = $Bonosdescuentos->get(1);
        $Comisiones = TableRegistry::get('comisiones');
        $comision = $Comisiones->get(1);
        $tocks  =  TableRegistry::get('cotizacions');
        $query = $tocks->find('all');
        $venta = 0;
        $compra = 0;
        foreach ($query as $coti):
          $venta = $coti->doven;
          $compra = $coti->docom;
        endforeach;

        $this->set('cotiventa', $venta);
        $this->set('coticompra', $compra);
        $this->set(compact('simuladorVentas'));
        $this->set("bonosdescuento", $bonosdescuento);
        $this->set("comisione", $comision);
    }


    public function aprobadogerente()
    {
        
        $fechasimulador = date('d/m/Y');
        $condicion = "simuladorventas.mostrar = 1 and (simuladorventas.estado = 3) and veces > 3 and simuladorventas.confirmado = 0 and Empleados.id = " .  $this->Auth->User('empleado') . " and fecha = '" .  $fechasimulador .  "'" ;
        
        $this->paginate = [
            'conditions' => [$condicion],
            'order' => [
               'simulador_ventas.id' => 'asc'
            ],
            'contain' => ['Stocks', 'Empleados']
            
        ];
        $simuladorVentas = $this->paginate($this->SimuladorVentas);
        $Bonosdescuentos = TableRegistry::get('bonosdescuentos');
        $bonosdescuento = $Bonosdescuentos->get(1);
        $Comisiones = TableRegistry::get('comisiones');
        $comision = $Comisiones->get(1);
        $tocks  =  TableRegistry::get('cotizacions');
        $query = $tocks->find('all');
        $venta = 0;
        $compra = 0;
        foreach ($query as $coti):
          $venta = $coti->doven;
          $compra = $coti->docom;
        endforeach;

        $this->set('cotiventa', $venta);
        $this->set('coticompra', $compra);
        $this->set(compact('simuladorVentas'));
        $this->set("bonosdescuento", $bonosdescuento);
        $this->set("comisione", $comision);
    }


    public function view($id = null)
    {
        $simuladorVenta = $this->SimuladorVentas->get($id, [
            'contain' => ['Stocks', 'Empleados']
        ]);

        $tocks  =  TableRegistry::get('cotizacions');
        $query = $tocks->find('all');
        $venta = 0;
        $compra = 0;
        foreach ($query as $coti):
          $venta = $coti->doven;
          $compra = $coti->docom;
        endforeach;

        $this->set('cotiventa', $venta);
        $this->set('coticompra', $compra);

        $this->set('simuladorVenta', $simuladorVenta);
    }

     public function add()
    {
        $simuladorVenta = $this->SimuladorVentas->newEntity();
        if ($this->request->is('post')) {
            
            $simuladorVenta = $this->SimuladorVentas->patchEntity($simuladorVenta, $this->request->getData());
            if ($this->SimuladorVentas->save($simuladorVenta)) {
                $this->Flash->success(__('The simulador venta has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The simulador venta could not be saved. Please, try again.'));
        }
        $Stocks = $this->SimuladorVentas->Stocks->find('list', ['limit' => 200]);
        $empleados = $this->SimuladorVentas->Empleados->find('list', ['limit' => 200]);
        $this->set(compact('simuladorVenta', 'Stocks', 'empleados'));
    }

    public function edit($id = null){
        $simuladorVenta = $this->SimuladorVentas->get($id, [
            'contain' => []
        ]);
        if(strlen($simuladorVenta->telefono) > 0) {
            echo "<script>history.go(-2)</script>";
        }
        if ($this->request->is(['patch', 'post', 'put'])) {
            $simuladorVenta = $this->SimuladorVentas->patchEntity($simuladorVenta, $this->request->getData());
            $simuladorVenta->mostrar = 1;
             if($simuladorVenta->veces == 0){
             }else{
                $simuladorVenta->hora_bono =  date('H:i:s');
             }
            if ($this->SimuladorVentas->save($simuladorVenta)) {
                return $this->redirect(['action' => 'ver/'.$id]);
            }
            $this->Flash->error(__('Complete todos los campos obligatorios!'));
        }
            $Stocks = $this->SimuladorVentas->Stocks->find('list', ['limit' => 200]);
            $empleados = $this->SimuladorVentas->Empleados->find('list', ['limit' => 200]);
            $this->set(compact('simuladorVenta', 'Stocks', 'empleados'));
    }


    public function edita($id = null){
        $simuladorVenta = $this->SimuladorVentas->get($id, [
            'contain' => []
        ]);
       // $simuladorVenta->mostrar = 1;
       // $simuladorVenta->hora_bono =  date('H:i:s');
      //  if ($this->SimuladorVentas->save($simuladorVenta)) {
           // return $this->redirect(['action' => 'ver/'.$id]);
      //  }
    }


    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $simuladorVenta = $this->SimuladorVentas->get($id);
        if ($this->SimuladorVentas->delete($simuladorVenta)) {
            $this->Flash->success(__('Simulador enviado al gerente!'));
        } else {
            $this->Flash->error(__('The simulador venta could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'movil']);
    }


    public function listadogerente($empresa = null) 
    {
       $fechasimulador = date('d/m/Y');

        $condicion = "simuladorventas.estado = 1 and Empleados.empresa = " . $empresa . " and fecha = '" . $fechasimulador . "'" ;
        $this->paginate = [
            'conditions' => [$condicion],
            'order' => [
               'simulador_ventas.id' => 'asc'
            ],
            'contain' => ['Stocks', 'Empleados']
        ];
        $simuladorVentas = $this->paginate($this->SimuladorVentas);
        $Bonosdescuentos = TableRegistry::get('bonosdescuentos');
        $bonosdescuento = $Bonosdescuentos->get(1);
        $Comisiones = TableRegistry::get('comisiones');
        $comision = $Comisiones->get(1);
        $tocks  =  TableRegistry::get('cotizacions');
        $query = $tocks->find('all');
        $venta = 0;
        $compra = 0;
        foreach ($query as $coti):
          $venta = $coti->doven;
          $compra = $coti->docom;
        endforeach;
        $this->set('cotiventa', $venta);
        $this->set('coticompra', $compra);
        $this->set(compact('simuladorVentas'));
        $this->set("bonosdescuento", $bonosdescuento);
        $this->set("comisione", $comision);
        $this->set("empresa", $empresa);
    }


    public function listadogerentexfecha($empresa = null) 
    {
        $fechasimulador = date('d/m/Y');
        $condicion = "";
        $fechavolver = $fechasimulador;
        if ($this->request->is('post')) {
            $simuladorVenta = $this->SimuladorVentas->newEntity();
            $simuladorVenta = $this->SimuladorVentas->patchEntity($simuladorVenta, $this->request->getData());
            $condicion = "simuladorventas.estado > 1 and Empleados.empresa = " . $empresa . " and fecha = '" . $simuladorVenta->fecha . "'" ;
            $fechavolver = $simuladorVenta->fecha;
        } else{
            $condicion = "simuladorventas.estado > 1 and Empleados.empresa = " . $empresa . " and fecha = '" . $fechasimulador . "'" ;
        }

       
        $this->paginate = [
            'conditions' => [$condicion],
            'order' => [
               'simulador_ventas.id' => 'asc'
            ],
            'contain' => ['Stocks', 'Empleados']
        ];
        $simuladorVentas = $this->paginate($this->SimuladorVentas);
        $Bonosdescuentos = TableRegistry::get('bonosdescuentos');
        $bonosdescuento = $Bonosdescuentos->get(1);
        $Comisiones = TableRegistry::get('comisiones');
        $comision = $Comisiones->get(1);
        $tocks  =  TableRegistry::get('cotizacions');
        $query = $tocks->find('all');
        $venta = 0;
        $compra = 0;
        foreach ($query as $coti):
          $venta = $coti->doven;
          $compra = $coti->docom;
        endforeach;
        $this->set('cotiventa', $venta);
        $this->set('coticompra', $compra);
        $this->set(compact('simuladorVentas'));
        $this->set("bonosdescuento", $bonosdescuento);
        $this->set("comisione", $comision);
        $this->set("empresa", $empresa);
        $this->set("fecha", $fechavolver);
    }

    public function listadogerentexfechatodos($empresa = null) 
    {
        $fechasimulador = date('d/m/Y');
        $condicion = "";
        $fechavolver = $fechasimulador;
        if ($this->request->is('post')) {
            $simuladorVenta = $this->SimuladorVentas->newEntity();
            $simuladorVenta = $this->SimuladorVentas->patchEntity($simuladorVenta, $this->request->getData());
            $condicion = "simuladorventas.mostrar = 1 and Empleados.empresa = " . $empresa . " and fecha = '" . $simuladorVenta->fecha . "'" ;
            $fechavolver = $simuladorVenta->fecha;
        } else{
            $condicion = "simuladorventas.mostrar = 1 and Empleados.empresa = " . $empresa . " and fecha = '" . $fechasimulador . "'" ;
        }

       
        $this->paginate = [
            'conditions' => [$condicion],
            'order' => [
               'simulador_ventas.id' => 'asc'
            ],
            'contain' => ['Stocks', 'Empleados']
        ];
        $simuladorVentas = $this->paginate($this->SimuladorVentas);
        $Bonosdescuentos = TableRegistry::get('bonosdescuentos');
        $bonosdescuento = $Bonosdescuentos->get(1);
        $Comisiones = TableRegistry::get('comisiones');
        $comision = $Comisiones->get(1);
        $tocks  =  TableRegistry::get('cotizacions');
        $query = $tocks->find('all');
        $venta = 0;
        $compra = 0;
        foreach ($query as $coti):
          $venta = $coti->doven;
          $compra = $coti->docom;
        endforeach;
        $this->set('cotiventa', $venta);
        $this->set('coticompra', $compra);
        $this->set(compact('simuladorVentas'));
        $this->set("bonosdescuento", $bonosdescuento);
        $this->set("comisione", $comision);
        $this->set("empresa", $empresa);
        $this->set("fecha", $fechavolver);
    }



    public function listado2gerente() 
    {
        $condicion = "simuladorventas.estado = 2 " ;
        $this->paginate = [
            'conditions' => [$condicion],
            'order' => [
               'simulador_ventas.id' => 'asc'
            ],
            'contain' => ['Stocks', 'Empleados']
        ];
        $simuladorVentas = $this->paginate($this->SimuladorVentas);
        $Bonosdescuentos = TableRegistry::get('bonosdescuentos');
        $bonosdescuento = $Bonosdescuentos->get(1);
        $Comisiones = TableRegistry::get('comisiones');
        $comision = $Comisiones->get(1);
        $tocks  =  TableRegistry::get('cotizacions');
        $query = $tocks->find('all');
        $venta = 0;
        $compra = 0;
        foreach ($query as $coti):
          $venta = $coti->doven;
          $compra = $coti->docom;
        endforeach;
        $this->set('cotiventa', $venta);
        $this->set('coticompra', $compra);
        $this->set(compact('simuladorVentas'));
        $this->set("bonosdescuento", $bonosdescuento);
        $this->set("comisione", $comision);
    }


    public function listado3gerente() 
    {
        $condicion = "simuladorventas.confirmado = 1 " ;

        $this->paginate = [
            'conditions' => [$condicion],
            'order' => [
               'simulador_ventas.id' => 'asc'
            ],
            'contain' => ['Stocks', 'Empleados']
        ];
        $simuladorVentas = $this->paginate($this->SimuladorVentas);
        $Bonosdescuentos = TableRegistry::get('bonosdescuentos');
        $bonosdescuento = $Bonosdescuentos->get(1);
        $Comisiones = TableRegistry::get('comisiones');
        $comision = $Comisiones->get(1);
        $tocks  =  TableRegistry::get('cotizacions');
        $query = $tocks->find('all');
        $venta = 0;
        $compra = 0;
        foreach ($query as $coti):
          $venta = $coti->doven;
          $compra = $coti->docom;
        endforeach;
        $this->set('cotiventa', $venta);
        $this->set('coticompra', $compra);
        $this->set(compact('simuladorVentas'));
        $this->set("bonosdescuento", $bonosdescuento);
        $this->set("comisione", $comision);
    }

    public function rechazarbono($id = null)
    {
        $connection = ConnectionManager::get('default');
        $connection->execute('UPDATE simulador_ventas SET estado=? WHERE id=?', [3, $id]);
                
        $connection->commit();
        $connection->disconnect();
         return $this->redirect(['action' => 'listado2gerente']);
    }


    public function gerentebono($id = null)
    {
        $connection = ConnectionManager::get('default');
        $connection->execute('UPDATE simulador_ventas SET estado=? WHERE id=?', [1, $id]);
                
        $connection->commit();
        $connection->disconnect();
         return $this->redirect(['action' => 'movil']);
    }


    public function gerentebonomas($id = null)
    {
        $connection = ConnectionManager::get('default');
        $connection->execute('UPDATE simulador_ventas SET estado=? WHERE id=?', [1, $id]);
                
        $connection->commit();
        $connection->disconnect();
        echo "<script>history.go(-1)</script>";
    }

    public function gerente2bono($id = null, $empresa = null)
    {
        $connection = ConnectionManager::get('default');
        $connection->execute('UPDATE simulador_ventas SET estado=? WHERE id=?', [2, $id]);
                
        $connection->commit();
        $connection->disconnect();
        return $this->redirect(['action' => 'listadogerente/'. $empresa]);
    }

    public function gerente3bono($id = null, $empresa = null)
    {
        $connection = ConnectionManager::get('default');
        $connection->execute('UPDATE simulador_ventas SET estado=? WHERE id=?', [2, $id]);
                
        $connection->commit();
        $connection->disconnect();
        return $this->redirect(['action' => 'listadogerentexfecha/'. $empresa]);
    }

    public function gerente2bonomovil($id = null, $empresa = null)
    {
        $connection = ConnectionManager::get('default');
        $connection->execute('UPDATE simulador_ventas SET estado=? WHERE id=?', [2, $id]);
                
        $connection->commit();
        $connection->disconnect();
        echo "<script>history.go(-2)</script>";
    }


    public function gerenteparadescontar($id = null, $empresa = null)
    {
        $connection = ConnectionManager::get('default');
        $connection->execute('UPDATE simulador_ventas SET estado=? WHERE id=?', [2, $id]);
                
        $connection->commit();
        $connection->disconnect();
        echo "<script>history.go(-1)</script>";
    }


  
    public function agregarbono($id = null){
      $simuladorVenta = $this->SimuladorVentas->get($id);
      if ($this->request->is(['patch', 'post', 'put'])) {
          $simuladorVenta = $this->SimuladorVentas->patchEntity($simuladorVenta, $this->request->getData());
          $simuladorVenta->totalbono = $simuladorVenta->totalbono + $simuladorVenta->aumentabonogerente;
          $simuladorVenta->veces = $simuladorVenta->veces + 1;
          $simuladorVenta->estado = 3;
          if ($this->SimuladorVentas->save($simuladorVenta)) {
             return $this->redirect(['action' => 'listado2gerente']);
          }
          $this->Flash->error(('Complete todos los campos!'));
      }
    }

    /**
        1 - VENDEDOR MANDO A SERGIO
        2 - SERGIO MANDA A COBRANZA
        3 - SERGIO RECHAZA
        4 - COBRANZA CARGA Y MANDA A SERGIO
        5 - SE HACE LA VENTA';
    */
    public function confirmarventa($id = null, $total = null, $comision = null )
    {
        $connection = ConnectionManager::get('default');
        $connection->execute('UPDATE simulador_ventas SET confirmado=?, totalavender=?, comision=?  WHERE id=?', [1, $total, $comision,  $id]);
                
        $connection->commit();
        $connection->disconnect();
         return $this->redirect(['action' => 'movil']);
    }

    public function aprobar($id = null)
    {
        $connection = ConnectionManager::get('default');
        $connection->execute('UPDATE simulador_ventas SET confirmado=? WHERE id=?', [2, $id]);
                
        $connection->commit();
        $connection->disconnect();
         return $this->redirect(['action' => 'listado3gerente']);
    }

    public function rechazar($id = null)
    {
        $connection = ConnectionManager::get('default');
        $connection->execute('UPDATE simulador_ventas SET confirmado=? WHERE id=?', [3, $id]);
                
        $connection->commit();
        $connection->disconnect();
         return $this->redirect(['action' => 'listado3gerente']);
    }

    public function gerentes()
    {

    }     


    public function listadogerentetodos($codigo = null) 
    {
        
       
        if(!empty($this->request->query['id'])){
           
            $search = $this->request->query['id'];

            $desde = $this->request->query['fechah'];
            $hasta = $this->request->query['fechad'];

            $this->set('id', $search);
            $this->set('fechah', $desde);
            $this->set('fechad', $hasta);

           $fechar = " and (to_timestamp(fecha,'dd/MM/yyyy') between to_timestamp('" . str_replace( "-", "/", $desde) . "','dd/MM/yyyy') and to_timestamp('" . str_replace( "-", "/", $hasta) . "','dd/MM/yyyy'))";
        

            $condicion = "(simuladorventas.id = " .  $search . ") or (simuladorventas.empleado_id = " . $search . $fechar . ")";
          
                $this->paginate = [
                    'conditions' => [$condicion],
                    'order' => [
                    'simulador_ventas.id' => 'asc'
                    ],
                    'contain' => ['Stocks', 'Empleados']
                ];
                $simuladorVentas = $this->paginate($this->SimuladorVentas);
                $Bonosdescuentos = TableRegistry::get('bonosdescuentos');
                $bonosdescuento = $Bonosdescuentos->get(1);
                $Comisiones = TableRegistry::get('comisiones');
                $comision = $Comisiones->get(1);
                $tocks  =  TableRegistry::get('cotizacions');
                $query = $tocks->find('all');
                $venta = 0;
                $compra = 0;
                foreach ($query as $coti):
                $venta = $coti->doven;
                $compra = $coti->docom;
                endforeach;
                $this->set('cotiventa', $venta);
                $this->set('coticompra', $compra);
                $this->set(compact('simuladorVentas'));
                $this->set("bonosdescuento", $bonosdescuento);
                $this->set("comisione", $comision);
                $this->set("id", $search);
            
              
        }
    }


    public function vertelefonos($cedula = null)
    {
        if($this->Auth->User('id') == 1 or $this->Auth->User('id') == 3 or $this->Auth->User('id') == 269){
            
       
        $telefono = str_replace("+595", "0", $cedula ); 
        $telefono2 = str_replace(" ", "", $telefono ); 

        $tel = substr($telefono2, -6);
       
        $condicion = "simuladorVentas.telefono = '" . $telefono2 . "' or simuladorVentas.telefono = '" . $cedula . "' or simuladorVentas.telefono ilike '%" . $tel . "%'";
        
        
        
        $this->paginate = [
            'conditions' => [$condicion],
            'order' => [
                'simuladorVentas.id' => 'asc'
            ],
            'contain' => ['Stocks', 'Empleados']
        ];
        $simuladorVentas = $this->paginate($this->SimuladorVentas);
        $Bonosdescuentos = TableRegistry::get('bonosdescuentos');
        $bonosdescuento = $Bonosdescuentos->get(1);
        $Comisiones = TableRegistry::get('comisiones');
        $comision = $Comisiones->get(1);
        $tocks  =  TableRegistry::get('cotizacions');
        $query = $tocks->find('all');
        $venta = 0;
        $compra = 0;
        foreach ($query as $coti):
        $venta = $coti->doven;
        $compra = $coti->docom;
        endforeach;
        $this->set('cotiventa', $venta);
        $this->set('coticompra', $compra);
       $this->set(compact('simuladorVentas'));
        $this->set("bonosdescuento", $bonosdescuento);
        $this->set("comisione", $comision);
        }
    }


    public function listadogerentexcodigo($empresa = null) 
    {
        if(!empty($this->request->query['id'])){
           
            $search = $this->request->query['id'];

            $desde = $this->request->query['fechah'];
            $hasta = $this->request->query['fechad'];

            $this->set('id', $search);
            $this->set('fechah', $desde);
            $this->set('fechad', $hasta);

           $fechar = " and (to_timestamp(fecha,'dd/MM/yyyy') between to_timestamp('" . str_replace( "-", "/", $desde) . "','dd/MM/yyyy') and to_timestamp('" . str_replace( "-", "/", $hasta) . "','dd/MM/yyyy'))";
         //  debug( $fechar); exit();

            $condicion = " (Empleados.empresa = " . $empresa . " and simuladorventas.id = " . $search  . ") or (Empleados.empresa = " . $empresa . " and simuladorventas.empleado_id = " . $search . $fechar . ")" ;
           
           // debug( $condicion); exit();

            $this->paginate = [
                'conditions' => [$condicion],
                'order' => [
                'simuladorventas.id' => 'asc'
                ],
                'contain' => ['Stocks', 'Empleados']
            ];
            $simuladorVentas = $this->paginate($this->SimuladorVentas);
            $Bonosdescuentos = TableRegistry::get('bonosdescuentos');
            $bonosdescuento = $Bonosdescuentos->get(1);
            $Comisiones = TableRegistry::get('comisiones');
            $comision = $Comisiones->get(1);
            $tocks  =  TableRegistry::get('cotizacions');
            $query = $tocks->find('all');
            $venta = 0;
            $compra = 0;
            foreach ($query as $coti):
            $venta = $coti->doven;
            $compra = $coti->docom;
            endforeach;
            $this->set('cotiventa', $venta);
            $this->set('coticompra', $compra);
            $this->set(compact('simuladorVentas'));
            $this->set("bonosdescuento", $bonosdescuento);
            $this->set("comisione", $comision);
            $this->set("empresa", $empresa);
            $this->set("fecha", $fechavolver);
            $this->set('id', $search);
            $this->set('fechah', $desde);
            $this->set('fechad', $hasta);

        } 
    }



    public function listadoxcodigo($empresa = null) 
    {
        if(!empty($this->request->query['id'])){
           
            $search = $this->request->query['id'];
            
            $condicion = " Empleados.id = " . $this->Auth->User('empleado') . " and simuladorventas.id = " . $search ;
           
           // debug( $condicion); exit();

            $this->paginate = [
                'conditions' => [$condicion],
                'order' => [
                'simuladorventas.id' => 'asc'
                ],
                'contain' => ['Stocks', 'Empleados']
            ];
            $simuladorVentas = $this->paginate($this->SimuladorVentas);
            $Bonosdescuentos = TableRegistry::get('bonosdescuentos');
            $bonosdescuento = $Bonosdescuentos->get(1);
            $Comisiones = TableRegistry::get('comisiones');
            $comision = $Comisiones->get(1);
            $tocks  =  TableRegistry::get('cotizacions');
            $query = $tocks->find('all');
            $venta = 0;
            $compra = 0;
            foreach ($query as $coti):
            $venta = $coti->doven;
            $compra = $coti->docom;
            endforeach;
            $this->set('cotiventa', $venta);
            $this->set('coticompra', $compra);
            $this->set(compact('simuladorVentas'));
            $this->set("bonosdescuento", $bonosdescuento);
            $this->set("comisione", $comision);
            $this->set("empresa", $empresa);
            $this->set("fecha", $fechavolver);

        } 
    }


    public function listadoscount() 
    {
        if(!empty($this->request->query['fechah'])){
            $desde = $this->request->query['fechah'];
            $hasta = $this->request->query['fechad'];
            $this->set('fechah', $desde);
            $this->set('fechad', $hasta);
            $fechar = "(to_timestamp(fecha,'dd/MM/yyyy') between to_timestamp('" . str_replace( "-", "/", $desde) . "','dd/MM/yyyy') and to_timestamp('" . str_replace( "-", "/", $hasta) . "','dd/MM/yyyy')) ";
    
            
            $cantidads = TableRegistry::get('cantidadpropuestapordias');

            $query = $cantidads->find('all', [
                'conditions' => [$fechar] ,  'order' => ['cantidadpropuestapordias.cantidad' => 'DESC']
            ] );


            $cantidads2 = TableRegistry::get('cantidadpropuestapordias');
            $query2 = $cantidads2->find('all', [
                'conditions' => [$fechar . " and empleados.cargo ilike '%VENDEDOR%' and cantidadpropuestapordias.empleado_id is null"] ,  'order' => ['cantidadpropuestapordias.cantidad' => 'DESC']
            ] )->rightJoin('empleados');

           //  debug($query2);   
           
            $this->set('simuladorVentas', $query);

            $this->set('simuladorVentas2', $query2);
        }
    }


    public function listadoscount2() 
    {
        if(!empty($this->request->query['fechah'])){

            $Users  =  TableRegistry::get('users');
            $empre = $this->request->query['empresa'];
            if($empre>0){
                $condicionuser = "active = 1 and vendedor = 1 and empresa =" . $empre;
            }else{
                $condicionuser = "active = 1 and vendedor = 1";
            }
           
            $queryusers = $Users->find('all', ['conditions' => [$condicionuser], 'order' => 'users.empresa , users.first_name']);

            $conventas = array();
            $sinventas = array();

            $desde = $this->request->query['fechah'];
            $hasta = $this->request->query['fechad'];

            //echo $queryusers . '<br>' ;
            foreach ($queryusers as $user):
                $fechar = " empleado_id = " . $user->empleado .  " and (to_timestamp(fecha,'dd/MM/yyyy') between to_timestamp('" . str_replace( "-", "/", $desde) . "','dd/MM/yyyy') and to_timestamp('" . str_replace( "-", "/", $hasta) . "','dd/MM/yyyy')) ";
                $cantidads = TableRegistry::get('cantidadpropuestapordias');
                $query = $cantidads->find('all', [
                    'conditions' => [$fechar] ,  'order' => ['cantidadpropuestapordias.cantidad' => 'DESC']
                ] );
                $cantidaddeprop = 0;
                $nombre = $user->first_name . ' ' . $user->last_name ;
                $empleado_id = $user->empleado;
                foreach ($query as $cantidad):
                    //echo $cantidad . '<br>' ;
                    $cantidaddeprop = $cantidaddeprop + $cantidad->cantidad;
                    $nombre = $cantidad->nombre;
                    $empleado_id = $cantidad->empleado_id;
                endforeach;

                $Ventas = TableRegistry::get('ventas');
                $fechaventas = " vendedors = " . $user->empleado .  " and (to_timestamp(fecha,'dd/MM/yyyy') between to_timestamp('" . str_replace( "-", "/", $desde) . "','dd/MM/yyyy') and to_timestamp('" . str_replace( "-", "/", $hasta) . "','dd/MM/yyyy')) ";
                $queryventas = $Ventas->find('all', [
                    'conditions' => [$fechaventas]
                ] )->select(['count' => $query->func()->count('*')]);
                
                $cantidadventas = 0;
                foreach ($queryventas as $cantidad):
                    $cantidadventas = $cantidad->count;
                endforeach;    

                if($cantidaddeprop > 0){
                    $auxs = array (
                        "id" => $empleado_id,
                        "nombre" => $nombre,
                        "propuesta" => $cantidaddeprop,
                        "venta" => $cantidadventas
                    );
                    array_push($conventas, $auxs);
                } else {
                    $auxs = array (
                        $empleado_id,
                        strtoupper($nombre) . ' - ' . $empleado_id,
                        $cantidaddeprop,
                        $cantidadventas
                    );
                    array_push($sinventas, $auxs);
                }
            endforeach;
            //natsort($conventas);

            $price = array_column($conventas, 'propuesta');
            array_multisort($price, SORT_DESC, $conventas);


            $this->set('simuladorVentas', $conventas);
            $this->set('simuladorVentas2', $sinventas);
            $this->set('fechah', $desde);
            $this->set('fechad', $hasta);
            $this->set('empre', $empre);
        }
    }

    public function listadoscountgerente($empre = null)
    {
        if(!empty($this->request->query['fechah'])){

            $Users  =  TableRegistry::get('users');
            
            if($empre>0){
                $condicionuser = "active = 1 and vendedor = 1 and empresa =" . $empre;
            }else{
                $condicionuser = "active = 1 and vendedor = 1";
            }
           
            $queryusers = $Users->find('all', ['conditions' => [$condicionuser], 'order' => 'users.empresa , users.first_name']);

            $conventas = array();
            $sinventas = array();

            $desde = $this->request->query['fechah'];
            $hasta = $this->request->query['fechad'];

            //echo $queryusers . '<br>' ;
            foreach ($queryusers as $user):
                $fechar = " empleado_id = " . $user->empleado .  " and (to_timestamp(fecha,'dd/MM/yyyy') between to_timestamp('" . str_replace( "-", "/", $desde) . "','dd/MM/yyyy') and to_timestamp('" . str_replace( "-", "/", $hasta) . "','dd/MM/yyyy')) ";
                $cantidads = TableRegistry::get('cantidadpropuestapordias');
                $query = $cantidads->find('all', [
                    'conditions' => [$fechar] ,  'order' => ['cantidadpropuestapordias.cantidad' => 'DESC']
                ] );
                $cantidaddeprop = 0;
                $nombre = $user->first_name . ' ' . $user->last_name ;
                $empleado_id = $user->empleado;
                foreach ($query as $cantidad):
                    //echo $cantidad . '<br>' ;
                    $cantidaddeprop = $cantidaddeprop + $cantidad->cantidad;
                    $nombre = $cantidad->nombre;
                    $empleado_id = $cantidad->empleado_id;
                endforeach;

                $Ventas = TableRegistry::get('ventas');
                $fechaventas = " vendedors = " . $user->empleado .  " and (to_timestamp(fecha,'dd/MM/yyyy') between to_timestamp('" . str_replace( "-", "/", $desde) . "','dd/MM/yyyy') and to_timestamp('" . str_replace( "-", "/", $hasta) . "','dd/MM/yyyy')) ";
                $queryventas = $Ventas->find('all', [
                    'conditions' => [$fechaventas]
                ] )->select(['count' => $query->func()->count('*')]);
                
                $cantidadventas = 0;
                foreach ($queryventas as $cantidad):
                    $cantidadventas = $cantidad->count;
                endforeach;    

                if($cantidaddeprop > 0){
                    $auxs = array (
                        "id" => $empleado_id,
                        "nombre" => $nombre,
                        "propuesta" => $cantidaddeprop,
                        "venta" => $cantidadventas
                    );
                    array_push($conventas, $auxs);
                } else {
                    $auxs = array (
                        $empleado_id,
                        strtoupper($nombre) . ' - ' . $empleado_id,
                        $cantidaddeprop,
                        $cantidadventas
                    );
                    array_push($sinventas, $auxs);
                }
            endforeach;
            //natsort($conventas);

            $price = array_column($conventas, 'propuesta');
            array_multisort($price, SORT_DESC, $conventas);


            $this->set('simuladorVentas', $conventas);
            $this->set('simuladorVentas2', $sinventas);
            $this->set('fechah', $desde);
            $this->set('fechad', $hasta);
            $this->set('empre', $empre);
        }
    }


    public function  verpropuestas($codigo = null, $desde = null, $hasta = null) 
    {

        $fechar = " and (to_timestamp(fecha,'dd/MM/yyyy') between to_timestamp('" . str_replace( "-", "/", $desde) . "','dd/MM/yyyy') and to_timestamp('" . str_replace( "-", "/", $hasta) . "','dd/MM/yyyy'))";
        $condicion = " Empleados.id = " . $codigo . $fechar ; 
        $this->paginate = [
            'conditions' => [$condicion],
            'order' => [
            'simuladorventas.id' => 'asc'
            ],
            'contain' => ['Stocks', 'Empleados']
        ];
        $simuladorVentas = $this->paginate($this->SimuladorVentas);
       // debug($simuladorVentas); exit();
        $Bonosdescuentos = TableRegistry::get('bonosdescuentos');
        $bonosdescuento = $Bonosdescuentos->get(1);
        $Comisiones = TableRegistry::get('comisiones');
        $comision = $Comisiones->get(1);
        $tocks  =  TableRegistry::get('cotizacions');
        $query = $tocks->find('all');
        $venta = 0;
        $compra = 0;
        foreach ($query as $coti):
        $venta = $coti->doven;
        $compra = $coti->docom;
        endforeach;
        $this->set('cotiventa', $venta);
        $this->set('coticompra', $compra);
        $this->set(compact('simuladorVentas'));
        $this->set("bonosdescuento", $bonosdescuento);
        $this->set("comisione", $comision);
      

    }


    public function listadoxfecha() 
    {
        if(!empty($this->request->query['fechah'])){
           
        
            $desde = $this->request->query['fechah'];
            $hasta = $this->request->query['fechad'];

            $this->set('fechah', $desde);
            $this->set('fechad', $hasta);

           $fechar = " (to_timestamp(fecha,'dd/MM/yyyy') between to_timestamp('" . str_replace( "-", "/", $desde) . "','dd/MM/yyyy') and to_timestamp('" . str_replace( "-", "/", $hasta) . "','dd/MM/yyyy'))";
           
            $this->paginate = [
                'conditions' => [$fechar],
                'order' => [
                'Empleados.empresa' => 'asc'
                ],
                'contain' => ['Stocks', 'Empleados']
            ];
            $simuladorVentas = $this->paginate($this->SimuladorVentas);
            $Bonosdescuentos = TableRegistry::get('bonosdescuentos');
            $bonosdescuento = $Bonosdescuentos->get(1);
            $Comisiones = TableRegistry::get('comisiones');
            $comision = $Comisiones->get(1);
            $tocks  =  TableRegistry::get('cotizacions');
            $query = $tocks->find('all');
            $venta = 0;
            $compra = 0;
            foreach ($query as $coti):
            $venta = $coti->doven;
            $compra = $coti->docom;
            endforeach;
            $this->set('cotiventa', $venta);
            $this->set('coticompra', $compra);
            $this->set(compact('simuladorVentas'));
            $this->set("bonosdescuento", $bonosdescuento);
            $this->set("comisione", $comision);
            $this->set("empresa", $empresa);
            $this->set("fecha", $fechavolver);
            $this->set('id', $search);
            $this->set('fechah', $desde);
            $this->set('fechad', $hasta);

        } 
    }


    public function ver($id = null)
    {
        
        $fechasimulador = date('d/m/Y');
        $condicion = "";
      /*  if( $this->Auth->User('id') == 1 or $this->Auth->User('id') == 19 or $this->Auth->User('id') == 26 or $this->Auth->User('id') == 25 or $this->Auth->User('id') == 3){
            $condicion = "simuladorventas.mostrar = 1 and veces <= 7 and simuladorventas.confirmado = 0 and Empleados.id = " .  $this->Auth->User('empleado') . " and fecha = '" .  $fechasimulador .  "'" . " and simuladorventas.id = " . $id ;
        }else{
            $condicion = "simuladorventas.mostrar = 1 and veces < 4 and simuladorventas.confirmado = 0 and Empleados.id = " .  $this->Auth->User('empleado') . " and fecha = '" .  $fechasimulador .  "'" . " and simuladorventas.id = " . $id  ;
         }*/

         $condicion = "simuladorventas.mostrar = 1 and veces <= 7 and simuladorventas.confirmado = 0 and Empleados.id = " .  $this->Auth->User('empleado') . " and fecha = '" .  $fechasimulador .  "'" . " and simuladorventas.id = " . $id ;
        
        
        $this->paginate = [
            'conditions' => [$condicion],
            'order' => [
               'simuladorventas.id' => 'asc'
            ],
            'contain' => ['Stocks', 'Empleados']
            
        ];
        $simuladorVentas = $this->paginate($this->SimuladorVentas);
        $Bonosdescuentos = TableRegistry::get('bonosdescuentos');
        $bonosdescuento = $Bonosdescuentos->get(1);
        $Comisiones = TableRegistry::get('comisiones');
        $comision = $Comisiones->get(1);
        $tocks  =  TableRegistry::get('cotizacions');
        $query = $tocks->find('all');
        $venta = 0;
        $compra = 0;
        foreach ($query as $coti):
          $venta = $coti->doven;
          $compra = $coti->docom;
        endforeach;

        $this->set('cotiventa', $venta);
        $this->set('coticompra', $compra);
        $this->set(compact('simuladorVentas'));
        $this->set("bonosdescuento", $bonosdescuento);
        $this->set("comisione", $comision);
    }

    public function vercodigo($id = null)
    {
        
        $fechasimulador = date('d/m/Y');
        $condicion = "";
      /*  if( $this->Auth->User('id') == 1 or $this->Auth->User('id') == 19 or $this->Auth->User('id') == 26 or $this->Auth->User('id') == 25 or $this->Auth->User('id') == 3){
            $condicion = "simuladorventas.mostrar = 1 and veces < 7 and simuladorventas.confirmado = 0 and Empleados.id = " .  $this->Auth->User('empleado') . " and fecha = '" .  $fechasimulador .  "'" . " and simuladorventas.id = " . $id ;
        }else{
            $condicion = "simuladorventas.mostrar = 1 and veces < 4 and simuladorventas.confirmado = 0 and Empleados.id = " .  $this->Auth->User('empleado') . " and fecha = '" .  $fechasimulador .  "'" . " and simuladorventas.id = " . $id  ;
         }*/
        
         $condicion = "simuladorventas.mostrar = 1 and veces <= 7 and simuladorventas.confirmado = 0 and Empleados.id = " .  $this->Auth->User('empleado') . " and fecha = '" .  $fechasimulador .  "'" . " and simuladorventas.id = " . $id ;
       

        $this->paginate = [
            'conditions' => [$condicion],
            'order' => [
               'simuladorventas.id' => 'asc'
            ],
            'contain' => ['Stocks', 'Empleados']
            
        ];
        $simuladorVentas = $this->paginate($this->SimuladorVentas);
        $Bonosdescuentos = TableRegistry::get('bonosdescuentos');
        $bonosdescuento = $Bonosdescuentos->get(1);
        $Comisiones = TableRegistry::get('comisiones');
        $comision = $Comisiones->get(1);
        $tocks  =  TableRegistry::get('cotizacions');
        $query = $tocks->find('all');
        $venta = 0;
        $compra = 0;
        foreach ($query as $coti):
          $venta = $coti->doven;
          $compra = $coti->docom;
        endforeach;

        $this->set('cotiventa', $venta);
        $this->set('coticompra', $compra);
        $this->set(compact('simuladorVentas'));
        $this->set("bonosdescuento", $bonosdescuento);
        $this->set("comisione", $comision);
    }


    public function bajarentrega($id = null)
    {

        $Comisiones = TableRegistry::get('comisiones');
        $comision = $Comisiones->get(1);
        $tocks  =  TableRegistry::get('cotizacions');
        $query = $tocks->find('all');
        $venta = 0;
        $compra = 0;
        foreach ($query as $coti):
          $venta = $coti->doven;
          $compra = $coti->docom;
        endforeach;



        $this->request->allowMethod(['post', 'delete']);
        $simuladorVenta = $this->SimuladorVentas->get($id);
        $simuladorVenta->precioespecial = 1;
        if($simuladorVenta->moneda == 1 ) { //dolares
            $simuladorVenta->entrega = $simuladorVenta->entrega - 200;
            $simuladorVenta->saldo = $simuladorVenta->saldo + 200;
        }else{
            $simuladorVenta->entrega = $simuladorVenta->entrega - (200 * $venta);
            $simuladorVenta->saldo = $simuladorVenta->saldo + (200 * $venta);
        }
        if ($this->SimuladorVentas->save($simuladorVenta)) {
            //$this->Flash->success(__('Simulador enviado al gerente!'));
        } else {
            $this->Flash->error(__('Intente de nuevo'));
        }

        echo "<script>history.go(-1)</script>";
    }
    
    
    public function aprobarventa($id = null)
    {
        $this->request->allowMethod(['get']);
        $simuladorVenta = $this->SimuladorVentas->get($id);
        $simuladorVenta->aprobado = 1;
        
        if ($this->SimuladorVentas->save($simuladorVenta)) {
              echo "<script>history.go(-1)</script>";
        }
    }
    
    
    public function rechazaventa($id = null)
    {
        $this->request->allowMethod(['get']);
        $simuladorVenta = $this->SimuladorVentas->get($id);
        $simuladorVenta->aprobado = 2;
        
        if ($this->SimuladorVentas->save($simuladorVenta)) {
              echo "<script>history.go(-1)</script>";
        }
    }

}

    