<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * TipoTrabajo Controller
 *
 * @property \App\Model\Table\TipoTrabajoTable $TipoTrabajo
 *
 * @method \App\Model\Entity\TipoTrabajo[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class TipoTrabajoController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $tipoTrabajo = $this->paginate($this->TipoTrabajo);

        $this->set(compact('tipoTrabajo'));
    }

    /**
     * View method
     *
     * @param string|null $id Tipo Trabajo id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $tipoTrabajo = $this->TipoTrabajo->get($id, [
            'contain' => []
        ]);

        $this->set('tipoTrabajo', $tipoTrabajo);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $tipoTrabajo = $this->TipoTrabajo->newEntity();
        if ($this->request->is('post')) {
            $tipoTrabajo = $this->TipoTrabajo->patchEntity($tipoTrabajo, $this->request->getData());
            if ($this->TipoTrabajo->save($tipoTrabajo)) {
                $this->Flash->success(__('The tipo trabajo has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The tipo trabajo could not be saved. Please, try again.'));
        }
        $this->set(compact('tipoTrabajo'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Tipo Trabajo id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $tipoTrabajo = $this->TipoTrabajo->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $tipoTrabajo = $this->TipoTrabajo->patchEntity($tipoTrabajo, $this->request->getData());
            if ($this->TipoTrabajo->save($tipoTrabajo)) {
                $this->Flash->success(__('The tipo trabajo has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The tipo trabajo could not be saved. Please, try again.'));
        }
        $this->set(compact('tipoTrabajo'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Tipo Trabajo id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $tipoTrabajo = $this->TipoTrabajo->get($id);
        if ($this->TipoTrabajo->delete($tipoTrabajo)) {
            $this->Flash->success(__('The tipo trabajo has been deleted.'));
        } else {
            $this->Flash->error(__('The tipo trabajo could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
