<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Trabajos Controller
 *
 * @property \App\Model\Table\TrabajosTable $Trabajos
 *
 * @method \App\Model\Entity\Trabajo[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class TrabajosController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $trabajos = $this->paginate($this->Trabajos);

        $this->set(compact('trabajos'));
    }

    /**
     * View method
     *
     * @param string|null $id Trabajo id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $trabajo = $this->Trabajos->get($id, [
            'contain' => []
        ]);

        $this->set('trabajo', $trabajo);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $trabajo = $this->Trabajos->newEntity();
        if ($this->request->is('post')) {
            $trabajo = $this->Trabajos->patchEntity($trabajo, $this->request->getData());
             $usuario = $this->Auth->User('id');
             $trabajo->usuario = $usuario;
             $hoy = getdate();
             $trabajo->fecna = $hoy['mday']."/".$hoy['mon']."/".$hoy['year'];
            if ($this->Trabajos->save($trabajo)) {
                $this->Flash->success(__('Se agrego correctamente'));
                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('Ocurrio un error. Favor, intente de nuevo.'));
        }
        $this->set(compact('trabajo'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Trabajo id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $trabajo = $this->Trabajos->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $trabajo = $this->Trabajos->patchEntity($trabajo, $this->request->getData());
            if ($this->Trabajos->save($trabajo)) {
                $this->Flash->success(__('The trabajo has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The trabajo could not be saved. Please, try again.'));
        }
        $this->set(compact('trabajo'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Trabajo id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $trabajo = $this->Trabajos->get($id);
        if ($this->Trabajos->delete($trabajo)) {
            $this->Flash->success(__('The trabajo has been deleted.'));
        } else {
            $this->Flash->error(__('The trabajo could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
