<?php

namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry;
use Cake\Datasource\ConnectionManager;

/**
 * TransitosController Controller
 *
 * @property \App\Model\Table\TransitosTable $Transitos
 *
 * @method \App\Model\Entity\Transitos[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class TransitosController extends AppController
{

    /** 
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $transitos = $this->paginate($this->Transitos);

        $this->set(compact('transitos'));
    }
    
     public function chile()
    {
        
        $this->paginate = [
            'conditions' => ['ubicacion = 1 and borrado = 0'],
            'order' => ['modelo' => 'asc'],  // Opcional: Ordenar por un campo específico
        ];
        
        $transitos = $this->paginate($this->Transitos);

        $this->set(compact('transitos'));
    }
    
     public function py()
    {
        
        $this->paginate = [
            'conditions' => ['ubicacion = 2 and borrado = 0'],
            'order' => ['modelo' => 'asc'],  // Opcional: Ordenar por un campo específico
        ];
        
        $transitos = $this->paginate($this->Transitos);

        $this->set(compact('transitos'));
    }

   
    public function view($id = null)
    {
        $imagenapp = $this->Imagenapps->get($id, [
            'contain' => []
        ]);

        $this->set('imagenapp', $imagenapp);
    }

  
    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add2($tipo = null)
    {
        
        $this->set('titulo', $tipo == 1 ? "AGREGAR EN TRANSITO A CHILE" : "AGREGAR EN TRANSITO A PY" );
        
        
       
    }
    
    
public function add($tipo = null)
{
    $this->set('titulo', $tipo == 1 ? "AGREGAR EN TRANSITO A CHILE" : "AGREGAR EN TRANSITO A PY" );
    $transito = $this->Transitos->newEntity();

    if ($this->request->is('post')) {
        $transito = $this->Transitos->patchEntity($transito, $this->request->getData());
        $transito->ubicacion = $tipo;
        $transito->usuariocreacion = $this->Auth->User('id');
        
        // Obtén la fecha y hora actual en formato de cadena utilizando date
        $fechaActual = sprintf('%02d/%02d/%04d', date('d'), date('m'), date('Y'));;
        $transito->fechacreacion = $fechaActual;
        
        $transito->estado = 1;
        $transito->borrado = 0;

        if ($this->Transitos->save($transito)) {
            $this->Flash->success(__('El tránsito ha sido guardado correctamente.'));
             echo "<script>history.go(-2)</script>";
        } else {
            $this->Flash->error(__('Hubo un error al guardar el tránsito. Por favor, inténtelo de nuevo.'));
        }
    }

    $this->set('transito', $transito);
}



    public function editar($id = null)
    {
         $transito = $this->Transitos->get($id, [
            'contain' => []
        ]);

        if ($this->request->is(['patch', 'post', 'put'])) {
            $transito = $this->Transitos->patchEntity($transito, $this->request->getData());
           $fechaActual = sprintf('%02d/%02d/%04d', date('d'), date('m'), date('Y'));;
        $transito->fechamodificacion = $fechaActual;
        $transito->usuariomodificacion = $this->Auth->User('id');
        
            if ($this->Transitos->save($transito)) {
                $this->Flash->success(__('El tránsito ha sido modificado correctamente.'));
                 echo "<script>history.go(-2)</script>";
            } else {
                $this->Flash->error(__('Hubo un error al guardar el tránsito. Por favor, inténtelo de nuevo.'));
            }
        }
         $this->set('transito', $transito);
    }

    public function mover($id = null)
    {
         $transito = $this->Transitos->get($id, [
            'contain' => []
        ]);
        
        $fechaActual = sprintf('%02d/%02d/%04d', date('d'), date('m'), date('Y'));;
        $transito->fechamodificacion = $fechaActual;
        $transito->usuariomodificacion = $this->Auth->User('id');
        
        $transito->ubicacion = 2;
        if ($this->Transitos->save($transito)) {
            echo "<script>history.go(-1)</script>";
        }
    }
    
      public function borrar($id = null)
    {
         $transito = $this->Transitos->get($id, [
            'contain' => []
        ]);
        
         $fechaActual = sprintf('%02d/%02d/%04d', date('d'), date('m'), date('Y'));;
        $transito->fechamodificacion = $fechaActual;
        $transito->usuariomodificacion = $this->Auth->User('id');
        
        $transito->borrado = 1;
        if ($this->Transitos->save($transito)) {
            echo "<script>history.go(-1)</script>";
        }
    }

   
}
