<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Vehiculoprecio Controller
 *
 * @property \App\Model\Table\VehiculoprecioTable $Vehiculoprecio
 *
 * @method \App\Model\Entity\Vehiculoprecio[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class VehiculoprecioController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $vehiculoprecio = $this->paginate($this->Vehiculoprecio);

        $this->set(compact('vehiculoprecio'));
    }

    /**
     * View method
     *
     * @param string|null $id Vehiculoprecio id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $vehiculoprecio = $this->Vehiculoprecio->get($id, [
            'contain' => []
        ]);

        $this->set('vehiculoprecio', $vehiculoprecio);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $vehiculoprecio = $this->Vehiculoprecio->newEntity();
        if ($this->request->is('post')) {
            $vehiculoprecio = $this->Vehiculoprecio->patchEntity($vehiculoprecio, $this->request->getData());
            if ($this->Vehiculoprecio->save($vehiculoprecio)) {
                $this->Flash->success(__('The vehiculoprecio has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The vehiculoprecio could not be saved. Please, try again.'));
        }
        $this->set(compact('vehiculoprecio'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Vehiculoprecio id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $vehiculoprecio = $this->Vehiculoprecio->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $vehiculoprecio = $this->Vehiculoprecio->patchEntity($vehiculoprecio, $this->request->getData());
            if ($this->Vehiculoprecio->save($vehiculoprecio)) {
                $this->Flash->success(__('The vehiculoprecio has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The vehiculoprecio could not be saved. Please, try again.'));
        }
        $this->set(compact('vehiculoprecio'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Vehiculoprecio id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $vehiculoprecio = $this->Vehiculoprecio->get($id);
        if ($this->Vehiculoprecio->delete($vehiculoprecio)) {
            $this->Flash->success(__('The vehiculoprecio has been deleted.'));
        } else {
            $this->Flash->error(__('The vehiculoprecio could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
