<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Imagenapps Model
 *
 * @method \App\Model\Entity\Imagenapp get($primaryKey, $options = [])
 * @method \App\Model\Entity\Imagenapp newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Imagenapp[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Imagenapp|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Imagenapp|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Imagenapp patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Imagenapp[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Imagenapp findOrCreate($search, callable $callback = null, $options = [])
 */
class ImagenappsTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('imagenapps');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->integer('codigo')
            ->allowEmpty('codigo');

        $validator
            ->scalar('chasis')
            ->maxLength('chasis', 250)
            ->allowEmpty('chasis');

        $validator
            ->scalar('imagen')
            ->maxLength('imagen', 250)
            ->allowEmpty('imagen');

        $validator
            ->integer('manual')
            ->allowEmpty('manual');

        $validator
            ->scalar('marca')
            ->maxLength('marca', 250)
            ->allowEmpty('marca');

        $validator
            ->scalar('modelo')
            ->maxLength('modelo', 250)
            ->allowEmpty('modelo');

        $validator
            ->scalar('color')
            ->maxLength('color', 250)
            ->allowEmpty('color');

        $validator
            ->integer('llanta')
            ->allowEmpty('llanta');
            
            
            $validator
            ->integer('radio')
            ->allowEmpty('radio');
            
            
            $validator
            ->integer('auxilio')
            ->allowEmpty('auxilio');
            
            $validator
            ->integer('llavederueda')
            ->allowEmpty('llavederueda');
            
            $validator
            ->integer('manija')
            ->allowEmpty('manija');
            
            $validator
            ->integer('antena')
            ->allowEmpty('antena');
            
            $validator
            ->integer('senaleritos')
            ->allowEmpty('senaleritos');
            
            $validator
            ->integer('tapallanta')
            ->allowEmpty('tapallanta');

        return $validator;
    }
}
