<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Ordentrabajos Model
 *
 * @method \App\Model\Entity\Ordentrabajo get($primaryKey, $options = [])
 * @method \App\Model\Entity\Ordentrabajo newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Ordentrabajo[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Ordentrabajo|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Ordentrabajo|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Ordentrabajo patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Ordentrabajo[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Ordentrabajo findOrCreate($search, callable $callback = null, $options = [])
 */
class OrdentrabajosTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('ordentrabajos');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->scalar('detalle')
            ->maxLength('detalle', 1000)
            ->allowEmpty('detalle');

        $validator
            ->scalar('responsable')
            ->maxLength('responsable', 250)
            ->allowEmpty('responsable');

        $validator
            ->integer('resposableid')
            ->allowEmpty('resposableid');

        $validator
            ->integer('estado')
            ->allowEmpty('estado');

        $validator
            ->integer('prioridad')
            ->allowEmpty('prioridad');

        $validator
            ->scalar('fecha')
            ->maxLength('fecha', 250)
            ->allowEmpty('fecha');

        $validator
            ->scalar('hora')
            ->maxLength('hora', 250)
            ->allowEmpty('hora');

        $validator
            ->scalar('chasis')
            ->maxLength('chasis', 250)
            ->allowEmpty('chasis');

        return $validator;
    }
}
