<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Propuestas Model
 *
 * @method \App\Model\Entity\Propuesta get($primaryKey, $options = [])
 * @method \App\Model\Entity\Propuesta newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Propuesta[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Propuesta|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Propuesta|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Propuesta patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Propuesta[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Propuesta findOrCreate($search, callable $callback = null, $options = [])
 */
class PropuestasTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('propuestas');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
        $this->addBehavior('Proffer.Proffer', [
           'photo' => [ 
           'root' => WWW_ROOT . 'files', 
           'dir' => 'photo_dir'  
          ]]);
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
     public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->requirePresence('nombre', 'create')
            ->notEmpty('nombre');
            $validator
            ->requirePresence('celular', 'create')
            ->notEmpty('celular');

        $validator
            ->requirePresence('propuesta', 'create')
            ->notEmpty('propuesta');

        $validator
            ->allowEmpty('observacion');

        $validator
            ->allowEmpty('chasis');

        $validator
            ->numeric('bono')
            ->allowEmpty('bono');

        $validator
            ->allowEmpty('respuestagerente');

        $validator
            ->integer('estado')
            ->allowEmpty('estado');

        $validator
            ->integer('usuario')
            ->allowEmpty('usuario');
        
        $validator
            ->integer('fecha')
            ->allowEmpty('fecha');

        $validator
            ->integer('hora')
            ->allowEmpty('hora');

        $validator
            ->integer('photo')
            ->allowEmpty('photo');

        $validator
            ->integer('photo_dir')
            ->allowEmpty('photo_dir');
            
        $validator
            ->allowEmpty('vendedor');

        return $validator;
    }
      
}
