<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

class TransitosTable extends Table
{
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('transitos');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
    }

    public function validationDefault(Validator $validator)
    {
        $validator
            ->scalar('chasis')
            ->maxLength('chasis', 255);

        $validator
            ->scalar('marca')
            ->maxLength('marca', 255);

        $validator
            ->scalar('modelo')
            ->maxLength('modelo', 255);

        $validator
            ->integer('ano');

        $validator
            ->scalar('color')
            ->maxLength('color', 255);

        $validator
            ->decimal('precio');

        $validator
            ->integer('estado');

        return $validator;
    }
}
