<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Vehiculoprecio Model
 *
 * @method \App\Model\Entity\Vehiculoprecio get($primaryKey, $options = [])
 * @method \App\Model\Entity\Vehiculoprecio newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Vehiculoprecio[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Vehiculoprecio|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Vehiculoprecio|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Vehiculoprecio patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Vehiculoprecio[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Vehiculoprecio findOrCreate($search, callable $callback = null, $options = [])
 */
class VehiculoprecioTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('vehiculoprecio');
        $this->setDisplayField('vpr_id');
        $this->setPrimaryKey('vpr_id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('vpr_id')
            ->allowEmpty('vpr_id', 'create');

        $validator
            ->integer('vpr_marcaid')
            ->allowEmpty('vpr_marcaid');

        $validator
            ->integer('vpr_modelo')
            ->allowEmpty('vpr_modelo');

        $validator
            ->integer('vpr_ano')
            ->allowEmpty('vpr_ano');

        $validator
            ->numeric('vpr_compra')
            ->allowEmpty('vpr_compra');

        $validator
            ->numeric('vpr_contado')
            ->allowEmpty('vpr_contado');

        $validator
            ->numeric('vpr_3meses')
            ->allowEmpty('vpr_3meses');

        $validator
            ->numeric('vpr_credito')
            ->allowEmpty('vpr_credito');

        $validator
            ->numeric('vpr_entrega')
            ->allowEmpty('vpr_entrega');

        $validator
            ->numeric('vpr_12meses')
            ->allowEmpty('vpr_12meses');

        $validator
            ->numeric('vpr_18meses')
            ->allowEmpty('vpr_18meses');

        $validator
            ->numeric('vpr_24meses')
            ->allowEmpty('vpr_24meses');

        $validator
            ->numeric('vpr_30meses')
            ->allowEmpty('vpr_30meses');

        $validator
            ->numeric('vpr_planzafra')
            ->allowEmpty('vpr_planzafra');

        $validator
            ->integer('vpr_borrado')
            ->allowEmpty('vpr_borrado');

        $validator
            ->integer('vpr_usuario')
            ->allowEmpty('vpr_usuario');

        $validator
            ->scalar('vpr_pc')
            ->maxLength('vpr_pc', 100)
            ->allowEmpty('vpr_pc');

        $validator
            ->integer('vpr_deposito')
            ->allowEmpty('vpr_deposito');

        $validator
            ->integer('vpr_cilindrada')
            ->allowEmpty('vpr_cilindrada');

        $validator
            ->numeric('vpr_contadorecimp')
            ->allowEmpty('vpr_contadorecimp');

        $validator
            ->numeric('vpr_contado3mesesrecimp')
            ->allowEmpty('vpr_contado3mesesrecimp');

        $validator
            ->numeric('vpr_gerente1recimp')
            ->allowEmpty('vpr_gerente1recimp');

        $validator
            ->numeric('vpr_gerente2recimp')
            ->allowEmpty('vpr_gerente2recimp');

        $validator
            ->numeric('vpr_gerente3recimp')
            ->allowEmpty('vpr_gerente3recimp');

        $validator
            ->numeric('vpr_contadorecuperado')
            ->allowEmpty('vpr_contadorecuperado');

        $validator
            ->numeric('vpr_contado3mesesrecuperado')
            ->allowEmpty('vpr_contado3mesesrecuperado');

        $validator
            ->numeric('vpr_gerente1recuperado')
            ->allowEmpty('vpr_gerente1recuperado');

        $validator
            ->numeric('vpr_gerente2recuperado')
            ->allowEmpty('vpr_gerente2recuperado');

        $validator
            ->numeric('vpr_gerente3recuperado')
            ->allowEmpty('vpr_gerente3recuperado');

        $validator
            ->numeric('vpr_contadousado')
            ->allowEmpty('vpr_contadousado');

        $validator
            ->numeric('vpr_contado3mesesusado')
            ->allowEmpty('vpr_contado3mesesusado');

        $validator
            ->numeric('vpr_gerente1usado')
            ->allowEmpty('vpr_gerente1usado');

        $validator
            ->numeric('vpr_gerente2usado')
            ->allowEmpty('vpr_gerente2usado');

        $validator
            ->numeric('vpr_gerente3usado')
            ->allowEmpty('vpr_gerente3usado');

        return $validator;
    }
}
