<?php

/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Asignarcv[]|\Cake\Collection\CollectionInterface $asignarcvs
 */
?>

<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>


<div class="row">

    <div class="col-md-12">

        <div class="page-header" style="margin: 10px 0 5px">
            <p style="margin: 0px 0 0px">Listado para asignar a trabajadores de Cambio Volante</p>
        </div>


        <div class="table-responsive">
            <div class="table">
                <tr style="display: inline-flex;">
                    <td><?php echo $this->Form->create(null, [
                            'type' => 'GET',
                            'class' => 'navbar-form navbar-left',
                            'url' => ['action' => 'index'],
                            'style' => "display: inline-flex;"
                        ]); ?>

                        <?php echo $this->Form->input('search', [
                            'label' => 'Chofer : ',
                            'options' => $choferes,
                            'value' => $search,
                            'empty' => true,
                            'style' => 'width: 70%;',
                        ]); ?>
                        <?php echo $this->Form->input('search2', [
                            'label' => 'Chasis : ',
                            'value' => $search2,
                            'style' => 'width: 70%;',
                        ]); ?>

                    </td>

                    <td><?php echo $this->Form->button('Buscar', [
                            'div' => false,
                            'class' => 'btn btn-primary',
                        ]); ?> <?php echo $this->Form->end(); ?></td>
                </tr>
            </div>
        </div>

        <?php if (!empty($asignarcvs)) { ?>
            <div class="table-responsive">
                <table class="table table-striped table-hover">
                    <thead>
                        <tr>
                            <th scope="col">
                                <?= $this->Paginator->sort('id') ?></th>
                            <th scope="col">
                                <?= $this->Paginator->sort('marca') ?></th>
                            <th scope="col">
                                <?= $this->Paginator->sort('modelo') ?></th>
                            <th scope="col">
                                <?= $this->Paginator->sort('chasis') ?></th>
                            <th scope="col">
                                <?= $this->Paginator->sort('ano') ?></th>
                            <th scope="col">
                                <?= $this->Paginator->sort('color') ?></th>
                            <th>Seleccionar</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($asignarcvs as $asignarcv) : ?>

                            <?php
                            echo '<tr class=trrecordid_' . $asignarcv->id . '>';
                            ?>
                            <td><?= $asignarcv->id ?></td>
                            <td><?= $asignarcv->marca ?></td>
                            <td><?= $asignarcv->modelo ?></td>
                            <td><?= $asignarcv->chasis ?></td>
                            <td><?= $asignarcv->ano ?></td>
                            <td><?= $asignarcv->color ?></td>
                            <td>
                                <?php
                                echo $this->Form->checkbox('row', ['hiddenField' => false, 'class' => 'tablerow', 'id' => $asignarcv->id]);
                                ?>
                            </td>

                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>

                <div class="paginator">
                    <ul class="pagination">

                        <?= $this->Paginator->prev('< Anterior') ?>
                        <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                        <?= $this->Paginator->next('Siguiente >') ?>

                    </ul>
                    <p><?= $this->Paginator->counter() ?></p>
                </div>

            </div>

            <div class="table-responsive">
                <div class="table">
                    <tr style="display: inline-flex;">
                        <td>
                            <?php echo $this->Form->input('search', [
                                'label' => 'Seleccionar trabajador de CV: ',
                                'options' => $cv,
                                'value' => $cv,
                                'id' => 'cv',
                                'empty' => true,
                            ]); ?>
                        </td>

                        <td>
                            <?php echo $this->Html->link(
                                'Asignar',
                                'javascript:asignar_selected()',
                                ['class' => 'btn btn-primary']
                            ); ?>
                        </td>
                    </tr>

                </div>
            </div>

        <?php } ?>

    </div>
</div>

<script>
    function asignar_selected() {

        if (confirm('Confirmar la(s) asignacion(es)?')) {

            $('input[type=checkbox]').each(function() {
                var sThisVal = (this.checked ? $(this).val() : "");
                if (sThisVal == 1) {
                    var record_id = $(this).attr("id");
                    var cv = $('#cv').val();

                    console.log(record_id + " " + cv);

                    if (cv == "") {
                        alert("Seleccione un trabajador de cambio volante");
                    } else {
                        ajax_asignar(record_id, cv);
                    }


                }
            });
        } else {
            // Do nothing!
        }
    }

    function ajax_asignar(record_id, cv) {
        jQuery.ajax({
            type: 'POST',
            async: true,
            cache: false,
            data: {
                id: record_id,
                vend: cv
            },

            url: "/asignarcvs/ajaxasignar/" + record_id,
            success: function(response) {
                console.log("ok");
                $('.trrecordid_' + record_id).remove();
            },
            error: function(response) {
                console.log("error");
                console.log(response.responseText);
            }
        });

    }
</script>