<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Cambioprecio[]|\Cake\Collection\CollectionInterface $cambioprecios
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('New Cambioprecio'), ['action' => 'add']) ?></li>
        <li><?= $this->Html->link(__('List Stocks'), ['controller' => 'Stocks', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Stock'), ['controller' => 'Stocks', 'action' => 'add']) ?></li>
    </ul>
</nav>
<div class="cambioprecios index large-9 medium-8 columns content">
    <h3><?= __('Cambioprecios') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('stock_id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('chasis') ?></th>
                <th scope="col"><?= $this->Paginator->sort('entregaminima') ?></th>
                <th scope="col"><?= $this->Paginator->sort('contado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('contado3meses') ?></th>
                <th scope="col"><?= $this->Paginator->sort('meses12') ?></th>
                <th scope="col"><?= $this->Paginator->sort('meses18') ?></th>
                <th scope="col"><?= $this->Paginator->sort('fecha') ?></th>
                <th scope="col"><?= $this->Paginator->sort('estado') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($cambioprecios as $cambioprecio): ?>
            <tr>
                <td><?= $this->Number->format($cambioprecio->id) ?></td>
                <td><?= $cambioprecio->has('stock') ? $this->Html->link($cambioprecio->stock->id, ['controller' => 'Stocks', 'action' => 'view', $cambioprecio->stock->id]) : '' ?></td>
                <td><?= h($cambioprecio->chasis) ?></td>
                <td><?= $this->Number->format($cambioprecio->entregaminima) ?></td>
                <td><?= $this->Number->format($cambioprecio->contado) ?></td>
                <td><?= $this->Number->format($cambioprecio->contado3meses) ?></td>
                <td><?= $this->Number->format($cambioprecio->meses12) ?></td>
                <td><?= $this->Number->format($cambioprecio->meses18) ?></td>
                <td><?= h($cambioprecio->fecha) ?></td>
                <td><?= $this->Number->format($cambioprecio->estado) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['action' => 'view', $cambioprecio->id]) ?>
                    <?= $this->Html->link(__('Edit'), ['action' => 'edit', $cambioprecio->id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $cambioprecio->id], ['confirm' => __('Are you sure you want to delete # {0}?', $cambioprecio->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
    </div>
</div>
