<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Imagenapp[]|\Cake\Collection\CollectionInterface $imagenapps
 */
?>


<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h2>Fotos cargadas - Aduana</h2>
            <?php echo $this->Form->create('imagenapps', array('type' => 'GET', 'class' => 'navbar-form navbar-left', 'url' => array('controller' => 'imagenapps', 'action' => 'aduana'))); ?>
                <?php echo $this->Form->control('search', array('label' => false, 'placeholder' => 'Chasis ...', 'value'=> $search)); ?>
                <h4 align="center"><?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary btn-lg btn-block')); ?>  <?php echo $this->Form->end(); ?></h4>
        </div>
    </div>

        <div class="col-md-12">

        <div class="table-responsive">
            <table class="table table-striped table-hover">
            <thead>
            <tr>
                <th><?= $this->Paginator->sort('chasis') ?></th>
                <th>Detalle</th>
                <th>Deportivo?</th>
                <th>Acciones</th>
            </tr>
            </thead>
            <tbody>
           <?php foreach ($imagenapps as $imagenapp): ?>
            <tr>
                <td><?= h($imagenapp->chasis) ?></td>
                <td><?= h(trim($imagenapp->marca) . ' ' . trim($imagenapp->modelo) . ' ' . trim($imagenapp->color)) ?></td>
                <td><?php if($imagenapp->deportivo == 1 ){ echo "SI"; } else { echo "NO"; } ;?> </td>
                <td>
                    <?= $this->Html->link('Ver foto', ['action' => 'add2', $imagenapp->chasis], ['class' => 'btn btn-sm btn-info']) ?>
                    <?php 
                    if($current_user['empleado']==41 or $current_user['id']==1){
                    ?>
                    <?= $this->Html->link('Editar', ['action' => 'editar', $imagenapp->chasis], ['class' => 'btn btn-sm btn-default']) ?>
                    <?php 
                    }
                    ?>
                </td>
                
            </tr>
        <?php endforeach; ?>
            </tbody>
            </table>
        </div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>
