<?php

/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Imagenapp[]|\Cake\Collection\CollectionInterface $imagenapps
 */
?>


<div class="container">

    <div class="row">

        <h2 style="text-align: center;">Fotos cargadas - Aduana</h2>
        <?php echo $this->Form->create('Imagenapps', array('type' => 'GET', 'class' => 'navbar-form navbar-left', 'url' => array('action' => 'index3'))); ?>
        <div class="form-group">
            <?php echo $this->Form->input('search', array('label' => false, 'div' => false, 'id' => 's', 'class' => 'form-control s', 'autocomplete' => 'off', 'placeholder' => 'Chassis...')); ?>
        </div>
        <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>
        <?php echo $this->Form->end(); ?>

    </div>

    <div class="table-responsive">
        <table class="table table-striped table-hover">
            <thead>
                <tr>
                    <th><?= $this->Paginator->sort('chasis') ?></th>
                    <th>Detalle</th>
                    <th>Acciones</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($imagenapps as $imagenapp) : ?>
                    <tr>
                        <td><?= h($imagenapp->chasis) ?></td>
                        <td><?= h(trim($imagenapp->marca) . ' ' . trim($imagenapp->modelo) . ' ' . trim($imagenapp->color)) ?></td>
                        <td>
                            <?= $this->Html->link('Ver foto', ['action' => 'add2', $imagenapp->chasis], ['class' => 'btn btn-sm btn-info']) ?>
                        </td>
                        <td>
                            <?= $this->Html->link('Agg foto', ['action' => 'add', $imagenapp->chasis], ['class' => 'btn btn-sm btn-info']) ?>
                        </td>

                        <td>
                            <?= $this->Html->link('Inventario', ['action' => 'verinventario', $imagenapp->id], ['class' => 'btn btn-sm btn-primary']) ?>
                        </td>

                        <td>
                            <?= $this->Html->link('Editar', ['action' => 'modichasis', $imagenapp->id], ['class' => 'btn btn-sm btn-danger']) ?>
                        </td>

                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>

    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->prev('< Anterior') ?>
            <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
            <?= $this->Paginator->next('Siguiente >') ?>
        </ul>
        <p><?= $this->Paginator->counter() ?></p>
    </div>
</div>