<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Inventario[]|\Cake\Collection\CollectionInterface $InventariosUsados
 */
?>

<?= $this->Html->css('bootstrap.min.css') ?>

<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h4 align="center">LISTADO DE INVENTARIOS USADOS</h4>
            
             <?php echo $this->Form->create('InventariosUsados', array('type' => 'GET', 'class' => 'navbar-form navbar-left', 'url' => array('controller' => 'InventariosUsados', 'action' => 'index'))); ?>
         
              <?php echo $this->Form->input('search', array('label' => false, 'div' => false, 'id' => 's', 'class' => 'form-control s', 'autocomplete' => 'off', 'placeholder' => 'Chassis...')); ?>
              
          
          <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>  <?php echo $this->Form->end(); ?>

          
          <?= $this->Html->link(' - AGREGAR INVENTARIO - ', ['action' => 'add'], ['class' => 'btn btn-success']) ?>
          
         </div>
         
        <div class="table-responsive">
             <table class="table  table-sm">
            <thead>
            <tr>
                <th><?= $this->Paginator->sort('fecha', ['Fecha']) ?></th>
                <th><?= $this->Paginator->sort('modelo', ['Modelo']) ?></th>
                <th><?= $this->Paginator->sort('marca', ['Marca']) ?></th>
                <th><?= $this->Paginator->sort('color', ['Color']) ?></th>
                <th><?= $this->Paginator->sort('chasis', ['Chasis']) ?></th>
                <th></th>
            </tr>
            </thead>
            <tbody>
             <?php foreach ($inventariosUsados as $inventario): ?>
            <tr>

                <td><?= h($inventario->fecha) ?></td>
                <td><?= strtoupper($inventario->modelo) ?></td>
                <td><?= strtoupper($inventario->marca) ?></td>
                <td><?= strtoupper($inventario->color) ?></td>
                <td><?= strtoupper($inventario->chasis) ?></td>

                <td>
                   
                <?= $this->Html->link('AGREGAR + INV.', ['action' => 'addother', $inventario->id], ['class' => 'btn btn-sm btn-primary']) ?>

                   <?php   if($current_user['id']==1){  ?>
                    <?= $this->Html->link('VER', ['action' => 'view', $inventario->id], ['class' => 'btn btn-sm btn-info']) ?>
                    <?= $this->Form->postLink(__('borrar'), ['action' => 'delete', $inventario->id], ['confirm' => __('Desea borrar # {0}?', $inventario->id)]) ?>
                    <?php  } ?>
                </td>
            </tr>
        <?php endforeach; ?>
            </tbody>
            </table>
        </div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>
