<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Propuestasimulador[]|\Cake\Collection\CollectionInterface $propuestasimuladors
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('New Propuestasimulador'), ['action' => 'add']) ?></li>
        <li><?= $this->Html->link(__('List Simulador Ventas'), ['controller' => 'SimuladorVentas', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Simulador Venta'), ['controller' => 'SimuladorVentas', 'action' => 'add']) ?></li>
    </ul>
</nav>
<div class="propuestasimuladors index large-9 medium-8 columns content">
    <h3><?= __('Propuestasimuladors') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('empresa') ?></th>
                <th scope="col"><?= $this->Paginator->sort('fecha') ?></th>
                <th scope="col"><?= $this->Paginator->sort('simulador_venta_id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('bono') ?></th>
                <th scope="col"><?= $this->Paginator->sort('observacion') ?></th>
                <th scope="col"><?= $this->Paginator->sort('estado') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($propuestasimuladors as $propuestasimulador): ?>
            <tr>
                <td><?= $this->Number->format($propuestasimulador->id) ?></td>
                <td><?= $this->Number->format($propuestasimulador->empresa) ?></td>
                <td><?= h($propuestasimulador->fecha) ?></td>
                <td><?= $propuestasimulador->has('simulador_venta') ? $this->Html->link($propuestasimulador->simulador_venta->id, ['controller' => 'SimuladorVentas', 'action' => 'view', $propuestasimulador->simulador_venta->id]) : '' ?></td>
                <td><?= $this->Number->format($propuestasimulador->bono) ?></td>
                <td><?= h($propuestasimulador->observacion) ?></td>
                <td><?= $this->Number->format($propuestasimulador->estado) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['action' => 'view', $propuestasimulador->id]) ?>
                    <?= $this->Html->link(__('Edit'), ['action' => 'edit', $propuestasimulador->id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $propuestasimulador->id], ['confirm' => __('Are you sure you want to delete # {0}?', $propuestasimulador->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
    </div>
</div>
