<div class="row">
    <div class="col-md-6 col-md-offset-3">

        <?= $this->Form->create($client, ['type' => 'file', 'enctype' => 'multipart/form-data']) ?>
        <fieldset>
            <legend><?= __('Datos del cliente') ?></legend>
            <?= $this->Form->input('tipo', ['label' => 'El cliente tiene ingresos:', 'options' => ['formal' => 'Formal', 'informal' => 'Informal'], 'empty' => '- Seleccionar -', 'id' => 'tipo_formal_informal']) ?>

            <div id="formal" style="display: none;">
                <?= $this->Form->input(
                    'comprobante',
                    [
                        'options' =>
                        [
                            1 => 'Certificado de trabajo',
                            2 => 'Liquidación de salario',
                            3 => 'Patente',
                            4 => 'IVA'
                        ], 'empty' => '- Seleccionar -', 'id' => 'client-comprobante'
                    ]
                ) ?>

            </div>

            <div id="formal-comprobante" style="display: none;" class="form-group">
                <div id="file-formal-trabajo">
                    <?= $this->Form->file('files[]', ['label' => 'Cargar comprobante']) ?>
                </div>

                <button type="button" id="add-file-formal-trabajo" class="btn btn-success pt-2">Agregar más</button>
                <?= $this->Form->input('referencia_formal', ['label' => 'Referencia(s) del archivo anexado:']) ?>
            </div>

            <div id="certificado-trabajo" style="display: none;" class="form-group">
                <?= $this->Form->input('empresa_ct', ['label' => 'Nombre de la empresa:']) ?>
                <?= $this->Form->input('monto_ct', ['label' => 'Monto que percibe:']) ?>
                <?= $this->Form->input('telefono_ct', ['label' => 'Telefono laboral:']) ?>
                <?= $this->Form->input('antiguedad_ct', ['label' => 'Antiguedad laboral:']) ?>
            </div>

            <div id="patente-iva" style="display: none;" class="form-group">
                <?= $this->Form->input('operando_pi', ['label' => 'Antiguedad operando:']) ?>
                <?= $this->Form->input('monto1_ct', ['label' => 'Monto mes 1:']) ?>
                <?= $this->Form->input('monto1_ct', ['label' => 'Monto mes 2:']) ?>
                <?= $this->Form->input('monto1_ct', ['label' => 'Monto mes 3:']) ?>
            </div>



            <div id="informal" style="display: none;">

                <?= $this->Form->input(
                    'comprobante_informal',
                    [
                        'options' =>
                        [
                            1 => 'Comprobante de compra (proveedor)',
                            2 => 'Comprobante de venta (cliente)',
                            3 => 'Extracto bancario',
                        ], 'empty' => '- Seleccionar -', 'id' => 'client-informal'
                    ]
                ) ?>

            </div>

            <div id="informal-comprobante" style="display: none;" class="form-group">
                <div id="file-informal-trabajo">
                    <?= $this->Form->file('files[]', ['label' => 'Cargar comprobante']) ?>
                </div>

                <button type="button" id="add-file-informal-trabajo" class="btn btn-success pt-2">Agregar más</button>
                <?= $this->Form->input('referencia_informal', ['label' => 'Referencia(s) del archivo anexado:']) ?>
            </div>

            <div id="comprobante-compra" style="display: none;" class="form-group">
                <?= $this->Form->input('empresa_cc', ['label' => 'Nombre de la empresa:']) ?>
                <?= $this->Form->input('telefono_cc', ['label' => 'Telefono:']) ?>
                <?= $this->Form->input('observacion_cc', ['label' => 'Observación:']) ?>

                <?= $this->Form->input('empresa_cc2', ['label' => 'Nombre de la empresa:']) ?>
                <?= $this->Form->input('telefono_cc2', ['label' => 'Telefono:']) ?>
                <?= $this->Form->input('observacion_cc2', ['label' => 'Observación:']) ?>
            </div>


          

            <div id="comprobante-venta" style="display: none;" class="form-group">
                <div class="form-group">
                    <?= $this->Form->input('empresa_cv', ['label' => 'Nombre de la empresa 1:']) ?>
                    <?= $this->Form->input('telefono_cv', ['label' => 'Telefono 1:']) ?>
                    <?= $this->Form->input('observacion_cv', ['label' => 'Observación 1:']) ?>
                </div>
                
                <div class="form-group">
                    <?= $this->Form->input('empresa_cv2', ['label' => 'Nombre de la empresa 2:']) ?>
                    <?= $this->Form->input('telefono_cv2', ['label' => 'Telefono 2:']) ?>
                    <?= $this->Form->input('observacion_cv2', ['label' => 'Observación 2:']) ?>
                </div>
            </div>

            <div id="comprobante-bancario" style="display: none;" class="form-group">
                <?= $this->Form->input('banco_cb', ['label' => 'Banco:']) ?>
            </div>

            


        </fieldset>
        <?= $this->Form->button('GUARDAR', ['class' => 'btn btn-primary btn-block']) ?>

        <?= $this->Form->end() ?>
    </div>
</div>



<script>
    document.addEventListener('DOMContentLoaded', function() {
        var clientType = document.getElementById('tipo_formal_informal');

        clientType.addEventListener('change', function() {
            var formalDiv = document.getElementById('formal');
            var informalDiv = document.getElementById('informal');

            if (clientType.value === 'formal') {
                formalDiv.style.display = 'block';
                informalDiv.style.display = 'none';
            } else if (clientType.value === 'informal') {
                formalDiv.style.display = 'none';
                informalDiv.style.display = 'block';
            } else {
                formalDiv.style.display = 'none';
                informalDiv.style.display = 'none';
            }
        });

        var formal = document.getElementById('formal');
        formal.addEventListener('change', function() {
            console.log(formal.value);
        });
    });
</script>

<script>
    document.addEventListener('DOMContentLoaded', function() {
        var clientComprobante = document.getElementById('client-comprobante');

        clientComprobante.addEventListener('change', function() {

            var formalDiv = document.getElementById('formal-comprobante');
            formalDiv.style.display = 'block';

            //formal
            var certificadotrabajo = document.getElementById('certificado-trabajo');
            var patenteiva = document.getElementById('patente-iva');


            /**
                    1 => 'Certificado de trabajo',
                    2 => 'Liquidación de salario',
                    3 => 'Patente',
                    4 => 'IVA'
             */

            if (clientComprobante.value === '1' || clientComprobante.value === '2') {

                certificadotrabajo.style.display = 'block';
                patenteiva.style.display = 'none';
            } else if (clientComprobante.value === '3' || clientComprobante.value === '4') {
                certificadotrabajo.style.display = 'none';
                patenteiva.style.display = 'block';
            } else {
                certificadotrabajo.style.display = 'none';
                patenteiva.style.display = 'none';
            }
        });
    });
</script>


<script>
    document.addEventListener('DOMContentLoaded', function() {
        function addFileInput(containerId) {
            const container = document.getElementById(containerId);
            const fileInput = document.createElement('div');
            fileInput.innerHTML = `<?= $this->Form->file('files[]', ['label' => 'Cargar comprobante']) ?>`;
            container.appendChild(fileInput);
        }

        document.getElementById('add-file-formal-trabajo').addEventListener('click', function() {
            addFileInput('file-formal-trabajo');
        });

        document.getElementById('add-file-informal-trabajo').addEventListener('click', function() {
            addFileInput('file-informal-trabajo');
        });
    });
</script>


<script>
    document.addEventListener('DOMContentLoaded', function() {
        var clientComprobante = document.getElementById('client-informal');

        


        clientComprobante.addEventListener('change', function() {

            var informalDiv = document.getElementById('informal-comprobante');
        informalDiv.style.display = 'block';
            /**
                    1 => 'Comprobante de compra (proveedor)',
                    2 => 'Comprobante de venta (cliente)',
                    3 => 'Extracto bancario',
             */

             var comprobantecompra = document.getElementById('comprobante-compra');
             var comprobanteventa = document.getElementById('comprobante-venta');
             var comprobantebancario = document.getElementById('comprobante-bancario');

            if (clientComprobante.value === '1') {
                comprobantecompra.style.display = 'block';
                comprobanteventa.style.display = 'none';
                comprobantebancario.style.display = 'none';
            } else if (clientComprobante.value === '2') {
                comprobantecompra.style.display = 'none';
                comprobanteventa.style.display = 'block';
                comprobantebancario.style.display = 'none';
            } else if (clientComprobante.value === '3') {
                comprobantecompra.style.display = 'none';
                comprobanteventa.style.display = 'none';
                comprobantebancario.style.display = 'block';
            } else {
                comprobantecompra.style.display = 'none';
                comprobanteventa.style.display = 'none';
                comprobantebancario.style.display = 'none';
            }
        });
    });
</script>