<div class="row">
    <div class="col-md-6">
        <?= $this->Form->create(null, ['type' => 'file']); ?>
        <?= $this->Form->file('imagen', ['id' => 'fileInput']); ?>
        
        <img id="previewImage" style="display: none; max-width: 50%; max-height: 50%;" alt="Preview">

        <?= $this->Form->button(__('Guardar')); ?>
        <?= $this->Form->end(); ?>
    </div>
</div>

<script>
    document.addEventListener('DOMContentLoaded', function() {
        const input = document.getElementById('fileInput');
          const preview = document.getElementById('previewImage');
        input.addEventListener('change', function (event) {
            const file = event.target.files[0];

            new Compressor(file, {
                quality: 0.8, // Calidad de compresión (0 a 1)
                maxWidth: 600, // Ancho máximo de la imagen
                maxHeight: 600, // Altura máxima de la imagen
                success(result) {
                    // La imagen ha sido comprimida con éxito
                    event.target.files[0] = result;
                    
                   
                    const reader = new FileReader();
                reader.readAsDataURL(result);
                reader.onload = function () {
                    // Mostrar la vista previa de la imagen comprimida
                    preview.src = reader.result;
                    preview.style.display = 'block';
                    // Reemplazar el archivo original en el input
                    event.target.files[0] = result;
           
                        
                };
                
                },
                error(error) {
                    // Ocurrió un error durante la compresión de la imagen
                    console.error('Error al comprimir la imagen:', error);
                }
            });
        });
    });
</script>