<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Trabajador[]|\Cake\Collection\CollectionInterface $trabajadors
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('New Trabajador'), ['action' => 'add']) ?></li>
    </ul>
</nav>
<div class="trabajadors index large-9 medium-8 columns content">
    <h3><?= __('Trabajadors') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('tra_id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('tra_nombre') ?></th>
                <th scope="col"><?= $this->Paginator->sort('tra_observacion') ?></th>
                <th scope="col"><?= $this->Paginator->sort('tra_moneda') ?></th>
                <th scope="col"><?= $this->Paginator->sort('tra_monto') ?></th>
                <th scope="col"><?= $this->Paginator->sort('tra_borrado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('tra_ocupacion') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($trabajadors as $trabajador): ?>
            <tr>
                <td><?= $this->Number->format($trabajador->tra_id) ?></td>
                <td><?= h($trabajador->tra_nombre) ?></td>
                <td><?= h($trabajador->tra_observacion) ?></td>
                <td><?= $this->Number->format($trabajador->tra_moneda) ?></td>
                <td><?= $this->Number->format($trabajador->tra_monto) ?></td>
                <td><?= $this->Number->format($trabajador->tra_borrado) ?></td>
                <td><?= $this->Number->format($trabajador->tra_ocupacion) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['action' => 'view', $trabajador->tra_id]) ?>
                    <?= $this->Html->link(__('Edit'), ['action' => 'edit', $trabajador->tra_id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $trabajador->tra_id], ['confirm' => __('Are you sure you want to delete # {0}?', $trabajador->tra_id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
    </div>
</div>
